"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../button/index.js"));
var _index2 = _interopRequireDefault(require("../divider/index.js"));
var _index3 = require("../hooks/index.js");
var _popup = _interopRequireDefault(require("../popup/popup.js"));
var _popupHeader = _interopRequireDefault(require("../popup/popup-header.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * ActionSheet 动作面板
 * @description 底部弹起的模态面板，包含与当前情境相关的多个选项。
 */const ActionSheet = ({
  theme,
  actions,
  title,
  cancelText,
  description,
  safeAreaInsetTop,
  round = true,
  onCancel,
  onSelect,
  ...restProps
}) => {
  const safeHeight = (0, _index3.useSafeHeight)({
    top: safeAreaInsetTop
  });
  const [CV, STYLES] = _index4.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const isTitleDef = !(0, _isNil.default)(title);
  const isCancelTextDef = !(0, _isNil.default)(cancelText);
  const isDescriptionDef = !(0, _isNil.default)(description);

  /** 描述文案 纯文字或自定义 JSX */
  const descriptionJSX = isDescriptionDef ? /*#__PURE__*/(0, _react.isValidElement)(description) ? description : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
      style: [STYLES.description, isTitleDef ? null : STYLES.description_alone],
      numberOfLines: 1,
      children: description
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {})]
  }) : null;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_popup.default, {
    ...restProps,
    safeAreaInsetBottom: true,
    position: "bottom",
    round: round,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: {
        maxHeight: safeHeight
      },
      children: [isTitleDef ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_popupHeader.default, {
        title: title,
        showClose: false
      }) : null, descriptionJSX, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.ScrollView, {
        bounces: false,
        children: actions.map((item, index) => {
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
            accessibilityLabel: item.name,
            text: item.name,
            disabled: item.disabled,
            loading: item.loading,
            color: item.color || CV.action_sheet_text_color,
            type: "link",
            size: "xl",
            textStyle: STYLES.button_text,
            onPress: () => {
              if (!item.disabled && !item.loading) {
                item.callback?.();
                onSelect?.(item, index);
              }
            }
          }, `${item.name}_${index}`);
        })
      }), isCancelTextDef ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
          style: STYLES.gap
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
          accessibilityLabel: cancelText,
          text: cancelText,
          type: "link",
          size: "xl",
          color: CV.action_sheet_text_color,
          textStyle: STYLES.button_text,
          onPress: onCancel
        })]
      }) : null]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(ActionSheet);
//# sourceMappingURL=action-sheet.js.map