"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Badge 徽标
 * @description 在右上角展示徽标数字或小红点。
 */const Badge = ({
  children,
  theme,
  count,
  dot,
  max,
  color,
  countStyle,
  countTextStyle,
  loading = false,
  showZero = false,
  offset,
  status,
  ...restProps
}) => {
  const TOKENS = _index.default.useThemeTokens();
  const CV = _index.default.createVar(TOKENS, _style.varCreator);
  const [, STYLES] = _index.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  if (!(0, _isNil.default)(max) && typeof count === 'number' && count > max) {
    count = `${max}+`;
  }
  const hasCount = !(0, _isNil.default)(count) && (count === 0 ? showZero : true);
  const countStyles = [STYLES.count, {
    backgroundColor: color || CV[`badge_status_${status}`] || CV.badge_background_color
  }, dot ? STYLES.count_dot : null, !(0, _isNil.default)(children) ? [STYLES.count_fixed, dot ? STYLES.count_dot_fixed : null, offset ? {
    transform: [{
      translateX: offset[0]
    }, {
      translateY: offset[1]
    }]
  } : null] : [], countStyle];
  const badgeJSX = !loading && (hasCount || dot) ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: countStyles,
    children: dot ? null : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
      style: [STYLES.count_text, countTextStyle],
      children: count
    })
  }) : null;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    ...restProps,
    collapsable: false,
    children: [badgeJSX, children]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Badge);
//# sourceMappingURL=badge.js.map