"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const getGapValue = (v, initialValue) => {
  return typeof v === 'boolean' ? v ? initialValue : 0 : v;
};
const Blank = ({
  theme,
  left = true,
  right = true,
  top = false,
  bottom = false,
  size = 'm',
  type = 'margin',
  children,
  style,
  ...restProps
}) => {
  const [CV] = _index.default.useStyle({
    varCreator: _style.varCreator,
    theme
  });
  const defaultGap = CV[`blank_size_${size}`];

  // 重置值
  left = getGapValue(left, defaultGap);
  right = getGapValue(right, defaultGap);
  top = getGapValue(top, defaultGap);
  bottom = getGapValue(bottom, defaultGap);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...restProps,
    style: [{
      [`${type}Left`]: left,
      [`${type}Right`]: right,
      [`${type}Top`]: top,
      [`${type}Bottom`]: bottom
    }, style],
    children: children
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Blank);
//# sourceMappingURL=blank.js.map