"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isArray = _interopRequireDefault(require("lodash/isArray"));
var _noop = _interopRequireDefault(require("lodash/noop"));
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("../action-sheet/index.js"));
var _style = require("../blank/style.js");
var _index2 = _interopRequireDefault(require("../bottom-bar/index.js"));
var _index3 = _interopRequireDefault(require("../button/index.js"));
var _index4 = _interopRequireDefault(require("../locale/index.js"));
var _index5 = _interopRequireDefault(require("../space/index.js"));
var _index6 = _interopRequireDefault(require("../theme/index.js"));
var _style2 = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ButtonBar = ({
  theme,
  alone = false,
  buttons,
  count = 4,
  moreText,
  blankSize = 'm',
  children,
  style,
  ...restProps
}) => {
  const locale = _index4.default.useLocale().ButtonBar;
  const [CV, STYLES] = _index6.default.useStyle({
    varCreator: _style2.varCreator,
    styleCreator: _style2.styleCreator,
    theme
  });
  const [CV_BLANK] = _index6.default.useStyle({
    varCreator: _style.varCreator
  });
  const realButtons = (buttons || []).filter(item => !item.hidden);
  const isConfig = (0, _isArray.default)(buttons);
  const showMore = realButtons.length > count;
  const bottomButtons = showMore ? realButtons.slice(0, count - 1) : realButtons;
  const onPressMore = () => {
    const restButtons = realButtons.slice(count - 1);
    (0, _index.default)({
      actions: restButtons.map(item => item.text),
      cancelText: locale.labelActionSheetCancelText
    }).then(({
      index
    }) => {
      restButtons[index].onPress?.();
    }).catch(_noop.default);
  };
  const defaultGap = CV_BLANK[`blank_size_${blankSize}`];
  if (isConfig && realButtons.length === 0) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
    ...restProps,
    style: [{
      paddingHorizontal: defaultGap
    }, STYLES.button_bar, alone ? STYLES.button_bar_alone : null, style],
    children: isConfig ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index5.default, {
      justify: "flex-end",
      align: "center",
      direction: "horizontal",
      gapHorizontal: CV.button_bar_button_space,
      children: [showMore ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default, {
        type: "link",
        text: moreText ?? locale.moreText,
        onPress: onPressMore
      }) : null, bottomButtons.reverse().map((b, index) => {
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default, {
          ...b,
          size: b.size || 'm',
          style: b.style || STYLES.btn
        }, index);
      })]
    }) : children
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(ButtonBar);
//# sourceMappingURL=button-bar.js.map