"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isBoolean = _interopRequireDefault(require("lodash/isBoolean"));
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../divider/index.js"));
var _index2 = require("../helpers/index.js");
var _index3 = _interopRequireDefault(require("../skeleton/index.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _cardBody = _interopRequireDefault(require("./card-body.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Card = ({
  children,
  theme,
  title,
  titleLeftExtra,
  extra,
  footer,
  headerStyle,
  titleStyle,
  titleTextStyle,
  bodyStyle,
  footerStyle,
  footerTextStyle,
  size = 'm',
  square = false,
  loading = false,
  headerDivider = true,
  footerDivider = true,
  bodyPadding = true,
  onPressHeader,
  onLayoutHeader,
  onLayoutBody,
  style,
  ...restProps
}) => {
  const isS = size === 's';
  const [CV, STYLES] = _index4.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const hasTitleLeftExtra = !(0, _isNil.default)(titleLeftExtra);
  const titleJSX = (0, _index2.renderTextLikeJSX)(title, [STYLES.title_text, isS ? STYLES.title_text_s : null, titleTextStyle, hasTitleLeftExtra ? STYLES.title_text_margin_left : null], {
    numberOfLines: 1
  });
  const footerJSX = (0, _index2.renderTextLikeJSX)(footer, [STYLES.footer_text, footerTextStyle]);
  const showHeader = !(0, _isNil.default)(titleJSX) || hasTitleLeftExtra || !(0, _isNil.default)(extra);
  const headerJSX = /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: [STYLES.header, isS ? STYLES.header_s : null, headerStyle],
      onLayout: onLayoutHeader,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
        style: [STYLES.title, titleStyle],
        children: [titleLeftExtra, titleJSX]
      }), extra]
    }), headerDivider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {}) : null]
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    ...restProps,
    style: [STYLES.card, square ? null : STYLES[`card_radius_${size}`], style],
    children: [showHeader ? onPressHeader ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
      onPress: onPressHeader,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        collapsable: false,
        children: headerJSX
      })
    }) : headerJSX : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_cardBody.default, {
      style: bodyStyle,
      padding: (0, _isBoolean.default)(bodyPadding) && bodyPadding ? CV.card_padding : bodyPadding,
      onLayout: onLayoutBody,
      children: loading ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default, {
        loading: true
      }) : children
    }), !(0, _isNil.default)(footerJSX) ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [footerDivider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {}) : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: [STYLES.footer, footerStyle],
        children: footerJSX
      })]
    }) : null]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Card);
//# sourceMappingURL=card.js.map