"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../divider/index.js"));
var _index2 = require("../helpers/index.js");
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * CellGroup 单元格组
 * @description 一组单元格，可以设置一个标题。
 */const CellGroup = ({
  children,
  theme,
  title,
  extra,
  style,
  titleTextStyle,
  bodyStyle,
  bodyTopDivider = false,
  bodyBottomDivider = false,
  onPressTitle,
  onPressTitleText
}) => {
  const [, STYLES] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });

  /** 标题 可能是自定义 JSX */
  const titleJSX = (0, _index2.renderTextLikeJSX)(title, [STYLES.group_title_text, titleTextStyle], {
    onPress: onPressTitleText
  });
  const groupNameJSX = /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    style: [STYLES.group_title, style],
    children: [titleJSX, extra]
  });
  const bodyJSX = /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [bodyTopDivider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {}) : null, children, bodyBottomDivider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {}) : null]
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [titleJSX || !(0, _isNil.default)(extra) ? !(0, _isNil.default)(onPressTitle) ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
      onPress: onPressTitle,
      children: groupNameJSX
    }) : groupNameJSX : null, bodyStyle ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: bodyStyle,
      children: bodyJSX
    }) : bodyJSX]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(CellGroup);
//# sourceMappingURL=cell-group.js.map