"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _omit = _interopRequireDefault(require("lodash/omit"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../hooks/index.js");
var _index2 = _interopRequireDefault(require("../space/index.js"));
var _checkbox = _interopRequireDefault(require("./checkbox.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function CheckboxGroup({
  theme,
  options,
  multiple,
  editable = true,
  scrollable = false,
  deselect = true,
  checkboxLabelTextStyle,
  activeColor,
  iconSize,
  checkboxIconLabelGap,
  ...restProps
}) {
  const [value, onChange] = (0, _index.useControllableValue)(restProps, {
    defaultValue: multiple ? [] : undefined
  });
  const contentJSX = /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
    ...(0, _omit.default)(restProps, ['value', 'defaultValue', 'onChange']),
    children: options.map(({
      value: checkboxValue,
      ...checkboxProps
    }) => {
      const selected = multiple ? (value || []).indexOf(checkboxValue) > -1 : value === checkboxValue;
      return /*#__PURE__*/(0, _react.createElement)(_checkbox.default, {
        ...checkboxProps,
        theme: theme,
        labelTextStyle: checkboxProps.labelTextStyle ?? checkboxLabelTextStyle,
        gap: checkboxProps.gap ?? checkboxIconLabelGap,
        activeColor: checkboxProps.activeColor ?? activeColor,
        iconSize: checkboxProps.iconSize ?? iconSize,
        key: `${checkboxValue}`,
        activeValue: checkboxValue,
        inactiveValue: null,
        value: selected ? checkboxValue : null,
        onChange: _value => {
          if (!editable) {
            return;
          }
          const isReset = _value !== checkboxValue;
          if (multiple) {
            const oldValue = value || [];
            const newValue = isReset ? oldValue.filter(v => v !== checkboxValue) : [checkboxValue, ...oldValue];
            const newOptions = newValue.map(v => {
              const optionIndex = options.findIndex(o => o.value === v);
              return {
                ...options[optionIndex]
              };
            });
            onChange(newValue, newOptions);
          } else {
            if (!isReset || isReset && deselect) {
              const newValue = isReset ? undefined : _value;
              const newOptions = isReset ? undefined : options.filter(o => o.value === _value);
              onChange(newValue, newOptions);
            }
          }
        }
      });
    })
  });
  if (scrollable && restProps.direction === 'horizontal' && !restProps.wrap) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.ScrollView, {
      horizontal: true,
      bouncesZoom: false,
      showsHorizontalScrollIndicator: false,
      children: contentJSX
    });
  }
  return contentJSX;
}
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(CheckboxGroup);
//# sourceMappingURL=checkbox-group.js.map