"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.varCreator = exports.styleCreator = void 0;
var _reactNative = require("react-native");
var _style = require("../cell/style.js");
var _index = _interopRequireDefault(require("../theme/index.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const varCreator = TOKENS => {
  return {
    collapse_transition_duration: TOKENS.animation_duration_base,
    collapse_background_color: TOKENS.white,
    collapse_icon_color: TOKENS.gray_6,
    collapse_icon_size: TOKENS.font_size_5
  };
};
exports.varCreator = varCreator;
const styleCreator = (cv, TOKENS) => {
  const CV_CELL = _index.default.createVar(TOKENS, _style.varCreator);
  return _reactNative.StyleSheet.create({
    collapse: {
      overflow: 'hidden',
      backgroundColor: cv.collapse_background_color
    },
    body: {
      position: 'absolute',
      left: 0,
      right: 0,
      top: 0
    },
    body_padding: {
      paddingHorizontal: CV_CELL.cell_padding_horizontal,
      paddingVertical: CV_CELL.cell_padding_horizontal
    },
    divider: {
      marginHorizontal: CV_CELL.cell_padding_horizontal
    }
  });
};
exports.styleCreator = styleCreator;
//# sourceMappingURL=style.js.map