"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = require("../hooks/index.js");
var _index2 = _interopRequireDefault(require("../picker-view/index.js"));
var _useDatePicker = _interopRequireDefault(require("./useDatePicker.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const DatePickerView = ({
  mode = 'Y-m',
  min,
  max,
  renderLabel,
  loading,
  testID,
  ...restProps
}) => {
  const isControlled = 'value' in restProps;
  const isNoDefaultValue = 'defaultValue' in restProps;
  const [value, onChange] = (0, _index.useControllableValue)(restProps, {
    defaultValue: new Date()
  });
  const [values, columns, onChangePicker, minDate, maxDate] = (0, _useDatePicker.default)({
    mode,
    value,
    onChange,
    min,
    max,
    renderLabel
  });
  const minDateTimestamp = minDate.getTime();
  const maxDateTimestamp = maxDate.getTime();
  (0, _react.useEffect)(() => {
    // 非受控的情况、并且没有默认值才去同步数据
    // 既然有默认数据了，由外面自己负责
    // 把数据同步到内部状态，初始化的时候默认当前时间
    if (!isControlled && !isNoDefaultValue) {
      let _today = new Date();
      const _todayTimestamp = _today.getTime();
      if (_todayTimestamp < minDateTimestamp) {
        _today = new Date(minDateTimestamp);
      }
      if (_todayTimestamp > maxDateTimestamp) {
        _today = new Date(maxDateTimestamp);
      }
      onChange(_today);
    }
  }, [isControlled, isNoDefaultValue, onChange, minDateTimestamp, maxDateTimestamp]);

  // console.log('columns   ====>  ', columns)
  // console.log('values   ====>  ', values)

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
    testID: testID,
    loading: loading,
    columns: columns,
    value: values,
    onChange: onChangePicker
  });
};
var _default = exports.default = DatePickerView;
//# sourceMappingURL=date-picker-view.js.map