"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _index = require("../helpers/index.js");
var _index2 = require("../hooks/index.js");
var _style = require("../picker/style.js");
var _index3 = _interopRequireDefault(require("../popup/index.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _datePickerRangeView = _interopRequireDefault(require("./date-picker-range-view.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const DatePickerRangeMethod = ({
  title,
  onCancel,
  onPressOverlay,
  beforeClose,
  // DatePickerRangeView
  mode,
  defaultValue,
  confirmButtonText,
  resetButtonText,
  placeholder,
  onConfirm,
  max,
  min,
  renderLabel,
  onClear,
  clearable,
  clearButtonText,
  ...restProps
}) => {
  const TOKENS = _index4.default.useThemeTokens();
  const CV_PICKER = _index4.default.createVar(TOKENS, _style.varCreator);
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const [visible, setVisible] = (0, _react.useState)(false);
  const [loading, setLoading] = (0, _react.useState)(false);
  const Values = (0, _react.useRef)(defaultValue && defaultValue.length === 2 ? defaultValue : [null, null]);
  (0, _react.useEffect)(() => {
    setVisible(true);
  }, []);
  const onChangeRangeView = (0, _index2.usePersistFn)(d => {
    Values.current = d;
  });
  const doAction = (0, _index2.usePersistFn)(action => {
    setLoading(true);
    (0, _index.callInterceptor)(beforeClose, {
      args: [action, Values.current],
      done: () => {
        switch (action) {
          case 'cancel':
            onCancel?.(Values.current);
            break;
          case 'confirm':
            onConfirm?.(Values.current);
            break;
          case 'overlay':
            onPressOverlay?.(Values.current);
            break;
          case 'clear':
            onClear?.(Values.current);
            break;
          default:
            break;
        }
        setLoading(false);
        setVisible(false);
      },
      canceled: () => {
        setLoading(false);
      }
    });
  });
  const onPressPopupOverlay = (0, _index2.usePersistFn)(() => {
    doAction('overlay');
  });
  const onPressClose = (0, _index2.usePersistFn)(() => {
    doAction('cancel');
  });
  const onPressConfirm = (0, _index2.usePersistFn)(() => {
    doAction('confirm');
  });
  const onPressClear = (0, _index2.usePersistFn)(() => {
    doAction('clear');
  });
  const onRequestClose = (0, _index2.usePersistFn)(() => {
    doAction('overlay');
    return true;
  });
  const rangeProps = {
    mode,
    defaultValue: Values.current,
    confirmButtonText,
    resetButtonText,
    placeholder,
    onConfirm: onPressConfirm,
    max,
    min,
    renderLabel,
    clearable,
    clearButtonText,
    onClear: onPressClear
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index3.default, {
    ...restProps,
    onRequestClose: onRequestClose,
    visible: visible,
    onPressOverlay: onPressPopupOverlay,
    position: "bottom",
    round: true,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default.Header, {
      title: title,
      onClose: onPressClose
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_datePickerRangeView.default, {
      ...rangeProps,
      onChange: onChangeRangeView,
      loading: loading
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: {
        height: insets.bottom + CV_PICKER.picker_bottom_gap
      }
    })]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DatePickerRangeMethod);
//# sourceMappingURL=date-picker-range-method.js.map