"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _omit = _interopRequireDefault(require("lodash/omit"));
var _pick = _interopRequireDefault(require("lodash/pick"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _index = _interopRequireDefault(require("../date-picker-view/index.js"));
var _index2 = require("../helpers/index.js");
var _index3 = require("../hooks/index.js");
var _index4 = _interopRequireDefault(require("../locale/index.js"));
var _style = require("../picker/style.js");
var _index5 = _interopRequireDefault(require("../popup/index.js"));
var _index6 = _interopRequireDefault(require("../theme/index.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DATE_PICKER_VIEW_PROPS_KEYS = ['defaultValue', 'mode', 'min', 'max', 'renderLabel'];
const DatePickerSingleMethod = ({
  title,
  confirmButtonText,
  cancelButtonText,
  onCancel,
  onConfirm,
  onPressOverlay,
  beforeClose,
  ...restProps
}) => {
  const locale = _index4.default.useLocale().DatePickerSingleMethod;
  const TOKENS = _index6.default.useThemeTokens();
  const CV_PICKER = _index6.default.createVar(TOKENS, _style.varCreator);
  const STYLES_PICKER = _index6.default.createStyle(CV_PICKER, _style.styleCreator);
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const [visible, setVisible] = (0, _react.useState)(false);
  const [loading, setLoading] = (0, _react.useState)(false);
  const Value = (0, _react.useRef)(restProps.defaultValue || new Date());
  (0, _react.useEffect)(() => {
    setVisible(true);
  }, []);
  const onChange = (0, _react.useCallback)(v => {
    Value.current = v;
  }, []);
  const doAction = (0, _index3.usePersistFn)(action => {
    setLoading(true);
    (0, _index2.callInterceptor)(beforeClose, {
      args: [action, Value.current],
      done: () => {
        switch (action) {
          case 'cancel':
            onCancel?.(Value.current);
            break;
          case 'confirm':
            onConfirm?.(Value.current);
            break;
          case 'overlay':
            onPressOverlay?.(Value.current);
            break;
          default:
            break;
        }
        setLoading(false);
        setVisible(false);
      },
      canceled: () => {
        setLoading(false);
      }
    });
  });
  const onPressCancel = (0, _react.useCallback)(() => {
    doAction('cancel');
  }, [doAction]);
  const onPressConfirm = (0, _react.useCallback)(() => {
    doAction('confirm');
  }, [doAction]);
  const onPressPopupOverlay = (0, _react.useCallback)(() => {
    doAction('overlay');
  }, [doAction]);
  const onRequestClose = (0, _react.useCallback)(() => {
    onPressPopupOverlay();
    return true;
  }, [onPressPopupOverlay]);
  const dataPickerViewProps = (0, _pick.default)(restProps, DATE_PICKER_VIEW_PROPS_KEYS);
  const popupProps = (0, _omit.default)(restProps, DATE_PICKER_VIEW_PROPS_KEYS);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index5.default, {
    ...popupProps,
    onRequestClose: onRequestClose,
    visible: visible,
    onPressOverlay: onPressPopupOverlay,
    position: "bottom",
    round: true,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index5.default.Header, {
      showClose: false,
      title: title,
      leftExtra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        suppressHighlighting: true,
        style: STYLES_PICKER.cancel_text,
        onPress: loading ? undefined : onPressCancel,
        children: cancelButtonText ?? locale.cancelButtonText
      }),
      rightExtra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        suppressHighlighting: true,
        style: STYLES_PICKER.confirm_text,
        onPress: loading ? undefined : onPressConfirm,
        children: confirmButtonText ?? locale.confirmButtonText
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
      ...dataPickerViewProps,
      loading: loading,
      onChange: onChange
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: {
        height: insets.bottom + CV_PICKER.picker_bottom_gap
      }
    })]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DatePickerSingleMethod);
//# sourceMappingURL=date-picker-single-method.js.map