"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _index = _interopRequireDefault(require("../portal/index.js"));
var _datePickerRangeMethod = _interopRequireDefault(require("./date-picker-range-method.js"));
var _datePickerRangeView = _interopRequireDefault(require("./date-picker-range-view.js"));
var _datePickerSingleMethod = _interopRequireDefault(require("./date-picker-single-method.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DatePicker = opts => {
  return new Promise(resolve => {
    const key = _index.default.add(/*#__PURE__*/(0, _jsxRuntime.jsx)(_datePickerSingleMethod.default, {
      ...opts,
      onCancel: v => {
        opts.onCancel?.(v);
        resolve({
          action: 'cancel',
          value: v
        });
      },
      onConfirm: v => {
        opts.onConfirm?.(v);
        resolve({
          action: 'confirm',
          value: v
        });
      },
      onPressOverlay: v => {
        opts.onPressOverlay?.(v);
        resolve({
          action: 'overlay',
          value: v
        });
      },
      onClosed: () => {
        opts.onClosed?.();
        _index.default.remove(key);
      }
    }));
  });
};
DatePicker.RangeView = _datePickerRangeView.default;
DatePicker.range = opts => {
  return new Promise(resolve => {
    const key = _index.default.add(/*#__PURE__*/(0, _jsxRuntime.jsx)(_datePickerRangeMethod.default, {
      ...opts,
      onCancel: v => {
        opts.onCancel?.(v);
        resolve({
          action: 'cancel',
          values: v
        });
      },
      onConfirm: v => {
        opts.onConfirm?.(v);
        resolve({
          action: 'confirm',
          values: v
        });
      },
      onPressOverlay: v => {
        opts.onPressOverlay?.(v);
        resolve({
          action: 'overlay',
          values: v
        });
      },
      onClear: v => {
        opts.onClear?.(v);
        resolve({
          action: 'clear',
          values: v
        });
      },
      onClosed: () => {
        opts.onClosed?.();
        _index.default.remove(key);
      }
    }));
  });
};
var _default = exports.default = DatePicker;
//# sourceMappingURL=index.js.map