"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _helper = require("../date-picker-view/helper.js");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../locale/index.js"));
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _context = require("./context.js");
var _description = _interopRequireDefault(require("./description.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DescriptionDateRange = ({
  text,
  mode = 'Y-m',
  split,
  ...restProps
}) => {
  const start = !(0, _isNil.default)(text?.[0]) ? (0, _helper.formatDate)(mode, text[0]) : null;
  const end = !(0, _isNil.default)(text?.[1]) ? (0, _helper.formatDate)(mode, text[1]) : null;
  const locale = _index2.default.useLocale().DescriptionDateRange;
  const [, STYLES] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme: restProps.theme
  });
  const descriptionContext = (0, _context.useDescription)();
  const _contentTextStyle = (0, _index.getDefaultValue)(restProps.contentTextStyle, descriptionContext.contentTextStyle);
  const _size = (0, _index.getDefaultValue)(restProps.size, descriptionContext.size);
  const textSizeStyle = STYLES[`size_${_size}_text`];
  const textStyles = [STYLES.content_text, textSizeStyle, restProps.bold ? {
    fontWeight: 'bold'
  } : null, restProps.color ? {
    color: restProps.color
  } : null, _contentTextStyle];
  const line1JSX = (0, _index.renderTextLikeJSX)([start, split ?? locale.split].join(' '), textStyles);
  const line2JSX = (0, _index.renderTextLikeJSX)(end, textStyles);
  if ((0, _isNil.default)(start) && (0, _isNil.default)(end)) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_description.default, {
      ...restProps
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_description.default, {
    ...restProps,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: STYLES.content_date_range,
      children: [line1JSX, line2JSX]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DescriptionDateRange);
//# sourceMappingURL=description-date-range.js.map