"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.input = exports.confirm = exports.KeyboardComponent = exports.Keyboard = exports.Instance = exports.DialogComponent = exports.Component = void 0;
var _react = _interopRequireDefault(require("react"));
var _index = _interopRequireDefault(require("../portal/index.js"));
var _dialog = _interopRequireDefault(require("./dialog.js"));
var _dialogInput = _interopRequireDefault(require("./dialog-input.js"));
var _dialogKeyboard = _interopRequireDefault(require("./dialog-keyboard.js"));
var _dialogMethod = _interopRequireDefault(require("./dialog-method.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Instance = opts => {
  return new Promise(resolve => {
    const key = _index.default.add(/*#__PURE__*/(0, _jsxRuntime.jsx)(_dialogMethod.default, {
      ...opts,
      onClosed: () => {
        _index.default.remove(key);
        opts.onClosed?.();
      },
      onResponse: action => {
        resolve(action);
      }
    }));
  });
};
exports.Instance = Instance;
const confirm = options => Instance({
  showCancelButton: true,
  ...options
});
exports.confirm = confirm;
const input = opts => {
  const key = _index.default.add(/*#__PURE__*/(0, _jsxRuntime.jsx)(_dialogInput.default, {
    ...opts,
    onClosed: () => {
      _index.default.remove(key);
      opts.onClosed?.();
    }
  }));
};
exports.input = input;
const Component = props => /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_dialog.default, {
    ...props
  })
});
exports.Component = Component;
const DialogComponent = exports.DialogComponent = _dialog.default;
const Keyboard = props => /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_dialogKeyboard.default, {
    ...props
  })
});
exports.Keyboard = Keyboard;
const KeyboardComponent = exports.KeyboardComponent = _dialogKeyboard.default;
//# sourceMappingURL=dialog-instance.js.map