"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _dialog = _interopRequireDefault(require("./dialog.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const DialogKeyboard = ({
  style,
  safeAreaTop,
  ...restProps
}) => {
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const [keyboardShow, setKeyboardShow] = (0, _react.useState)(false);
  const dialogStyle = (0, _react.useMemo)(() => ({
    position: 'absolute',
    top: safeAreaTop ?? insets.top
  }), [insets.top, safeAreaTop]);
  (0, _react.useEffect)(() => {
    const keyboardDidShow = _reactNative.Keyboard.addListener('keyboardDidShow', () => {
      setKeyboardShow(true);
    });
    const keyboardDidHide = _reactNative.Keyboard.addListener('keyboardDidHide', () => {
      setKeyboardShow(false);
    });
    return () => {
      keyboardDidShow.remove();
      keyboardDidHide.remove();
    };
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_dialog.default, {
    ...restProps,
    style: keyboardShow ? style ? [dialogStyle, style] : dialogStyle : style
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DialogKeyboard);
//# sourceMappingURL=dialog-keyboard.js.map