"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = require("../helpers/index.js");
var _useStateUpdate = _interopRequireDefault(require("../hooks/useStateUpdate.js"));
var _dialog = _interopRequireDefault(require("./dialog.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Dialog 弹出框
 * @description 配合函数的使用
 */
const DialogMethod = ({
  beforeClose,
  onResponse,
  ...restProps
}) => {
  const [state, setState] = (0, _useStateUpdate.default)({
    visible: false,
    cancel: false,
    confirm: false,
    overlay: false
  });
  const genOnPressBtn = action => () => {
    setState({
      [action]: true
    });
    (0, _index.callInterceptor)(beforeClose, {
      args: [action],
      done: () => {
        onResponse?.(action);
        setState({
          [action]: false,
          visible: false
        });
      },
      canceled: () => {
        setState({
          [action]: false
        });
      }
    });
  };
  (0, _react.useEffect)(() => {
    setState({
      visible: true
    });
  }, []);
  const onRequestClose = () => {
    genOnPressBtn('overlay')();
    return true;
  };
  const onPressClose = () => {
    setState({
      visible: false
    });
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_dialog.default, {
    ...restProps,
    onRequestClose: onRequestClose,
    visible: state.visible,
    onPressConfirm: genOnPressBtn('confirm'),
    onPressCancel: genOnPressBtn('cancel'),
    onPressOverlay: genOnPressBtn('overlay'),
    cancelButtonLoading: state.cancel,
    confirmButtonLoading: state.confirm,
    onPressClose: onPressClose
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DialogMethod);
//# sourceMappingURL=dialog-method.js.map