"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSvg = require("react-native-svg");
var _index = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * 分割线
 */const DividerLineDashed = ({
  theme,
  color,
  position,
  adaptive = true,
  direction = 'horizontal'
}) => {
  const isVertical = direction === 'vertical';
  const {
    width
  } = (0, _reactNative.useWindowDimensions)();
  const [CV] = _index.default.useStyle({
    varCreator: _style.varCreator,
    theme
  });
  const [size, setSize] = (0, _react.useState)(isVertical ? CV.divider_vertical_min_height : width);
  const viewStyle = (0, _react.useMemo)(() => {
    if (isVertical) {
      return {
        flex: 1,
        width: 1,
        height: '100%'
      };
    }
    const s = {
      flex: 1,
      maxWidth: 'auto'
    };
    if (position === 'left') {
      s.marginRight = CV.divider_margin_horizontal;
    }
    if (position === 'right') {
      s.marginLeft = CV.divider_margin_horizontal;
    }
    if (!adaptive) {
      s.maxWidth = position === 'left' ? CV.divider_content_left_width : CV.divider_content_right_width;
    }
    return s;
  }, [isVertical, position, adaptive, CV.divider_margin_horizontal, CV.divider_content_left_width, CV.divider_content_right_width]);
  const onLayout = (0, _react.useCallback)(e => {
    setSize(e.nativeEvent.layout[isVertical ? 'height' : 'width']);
  }, [isVertical]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    onLayout: onLayout,
    style: viewStyle,
    children: isVertical ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSvg.Svg, {
      width: 1,
      height: size,
      viewBox: `0 0 1 ${size}`,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSvg.Line, {
        x1: "0.5",
        y1: "0",
        x2: "0.5",
        y2: size,
        strokeWidth: 1,
        strokeDasharray: "2 2",
        stroke: color
      })
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSvg.Svg, {
      width: size,
      height: 1,
      viewBox: `0 0 ${size} 1`,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSvg.Line, {
        x1: "0",
        y1: "0.5",
        x2: size,
        y2: "0.5",
        strokeWidth: 1,
        strokeDasharray: "2 2",
        stroke: color
      })
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DividerLineDashed);
//# sourceMappingURL=divider-line-dashed.js.map