"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _dividerLine = _interopRequireDefault(require("./divider-line.js"));
var _dividerLineDashed = _interopRequireDefault(require("./divider-line-dashed.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Divider 分割线
 * @description 用于将内容分隔为多个区域。
 */const Divider = ({
  children,
  style,
  theme,
  textStyle,
  type = 'light',
  direction = 'horizontal',
  dashed = false,
  color,
  contentPosition = 'center',
  ...restProps
}) => {
  const [CV, STYLES] = _index2.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const isVertical = direction === 'vertical';
  const Line = dashed ? _dividerLineDashed.default : _dividerLine.default;
  color = (0, _index.getDefaultValue)(color, type === 'dark' ? CV.divider_color_dark : CV.divider_color_light);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...restProps,
    style: [STYLES.divider, isVertical ? STYLES.divider_vertical : null, style],
    children: isVertical ? /*#__PURE__*/(0, _jsxRuntime.jsx)(Line, {
      theme: theme,
      color: color,
      position: "center",
      direction: direction
    }) : !(0, _isNil.default)(children) ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(Line, {
        theme: theme,
        color: color,
        position: "left",
        adaptive: contentPosition !== 'left'
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        style: [STYLES.text, textStyle],
        children: children
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(Line, {
        theme: theme,
        color: color,
        position: "right",
        adaptive: contentPosition !== 'right'
      })]
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(Line, {
      theme: theme,
      color: color,
      position: "center"
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Divider);
//# sourceMappingURL=divider.js.map