"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _style = require("../divider/style.js");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _context = require("./context.js");
var _style2 = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * DropdownMenu 下拉菜单的横条
 */const DropdownMenu = ({
  theme,
  titleStyle,
  titleTextStyle,
  iconStyle,
  activeColor,
  direction = 'down',
  duration,
  zIndex = 10,
  // overlay = true,
  // closeOnPressOverlay = true,
  closeOnPressOutside = true,
  divider = true,
  style,
  ...restProps
}) => {
  const MenuRef = (0, _react.useRef)(null);
  const [CV, STYLES, TOKENS] = _index2.default.useStyle({
    varCreator: _style2.varCreator,
    styleCreator: _style2.styleCreator,
    theme
  });
  const [CV_DIVIDER] = _index2.default.useStyle({
    varCreator: _style.varCreator
  });
  activeColor = (0, _index.getDefaultValue)(activeColor, CV.dropdown_active_color);
  duration = (0, _index.getDefaultValue)(duration, TOKENS.animation_duration_fast);
  const config = (0, _react.useMemo)(() => ({
    titleStyle,
    titleTextStyle,
    iconStyle,
    activeColor,
    direction,
    duration,
    zIndex,
    closeOnPressOutside,
    MenuRef,
    theme
  }), [activeColor, closeOnPressOutside, direction, duration, iconStyle, theme, titleStyle, titleTextStyle, zIndex]);
  const dividerStyle = {
    borderBottomColor: CV_DIVIDER.divider_color_light,
    borderBottomWidth: divider ? 1 : 0
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_context.DropdownConfig.Provider, {
    value: config,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      ...restProps,
      collapsable: false,
      ref: MenuRef,
      style: [STYLES.menu, dividerStyle, style]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DropdownMenu);
//# sourceMappingURL=dropdown-menu.js.map