"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _omit = _interopRequireDefault(require("lodash/omit"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _style = require("../button/style.js");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _context = require("./context.js");
var _dropdownBadge = _interopRequireDefault(require("./dropdown-badge.js"));
var _style2 = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DropdownText = ({
  textStyle,
  iconStyle,
  disabled = false,
  title,
  active = false,
  pressable = true,
  activeColor,
  direction,
  badge,
  // TouchableOpacity 属性
  style,
  activeOpacity,
  ...restProps
}) => {
  const config = (0, _context.useDropdownConfig)();
  const [CV, STYLES] = _index2.default.useStyle({
    varCreator: _style2.varCreator,
    styleCreator: _style2.styleCreator,
    theme: config.theme
  });
  const [CV_BUTTON] = _index2.default.useStyle({
    varCreator: _style.varCreator
  });
  const showBadge = !active && !(0, _isNil.default)(badge) && badge !== false;

  // 修正数据
  activeColor = (0, _index.getDefaultValue)(activeColor, config.activeColor);
  activeOpacity = (0, _index.getDefaultValue)(activeOpacity, CV_BUTTON.button_active_opacity);
  direction = (0, _index.getDefaultValue)(direction, config.direction);
  const textStyleFlatten = _reactNative.StyleSheet.flatten(textStyle) || {};
  const textColor = disabled ? CV.dropdown_text_disabled_color : active ? activeColor : textStyleFlatten.color || CV.dropdown_text_color;
  const itemStyles = [STYLES.text_item, config.titleStyle, style];
  const textStyles = [STYLES.text_text, showBadge ? null : STYLES.text_text_gap, config.titleTextStyle, {
    color: textColor
  }, (0, _omit.default)(textStyleFlatten, ['color'])];
  const iconStyles = [config.iconStyle, iconStyle].filter(Boolean);
  const ArrowFill = (0, _index.getArrowOutline)(active ? direction === 'up' ? 'down' : 'up' : direction);
  const ctxJSX = /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: STYLES.text_text_container,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        style: textStyles,
        numberOfLines: 1,
        children: title
      })
    }), showBadge ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_dropdownBadge.default, {
      count: badge,
      style: [STYLES.text_text_badge, STYLES.text_text_gap]
    }) : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(ArrowFill, {
      style: iconStyles.length ? iconStyles : undefined,
      size: CV.dropdown_text_icon_size,
      color: active ? activeColor : CV.dropdown_text_icon_color
    })]
  });
  if (pressable) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      ...restProps,
      disabled: disabled,
      style: itemStyles,
      activeOpacity: activeOpacity,
      children: ctxJSX
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...restProps,
    style: itemStyles,
    children: ctxJSX
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(DropdownText);
//# sourceMappingURL=dropdown-text.js.map