"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("../locale/index.js"));
var _index2 = _interopRequireDefault(require("../result/index.js"));
var _resultIconEmpty = _interopRequireDefault(require("../result/icons/result-icon-empty.js"));
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Empty 空元素
 * @description 用于填充空白数据。
 */const Empty = ({
  testID,
  theme,
  text,
  style,
  textStyle,
  iconStyle,
  icon,
  full = false
}) => {
  const locale = _index.default.useLocale().Empty;
  const [, STYLES] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const iconJSX = !(0, _isUndefined.default)(icon) ? icon : /*#__PURE__*/(0, _jsxRuntime.jsx)(_resultIconEmpty.default, {
    style: [STYLES.icon, iconStyle]
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
    testID: testID,
    status: "info",
    renderIcon: () => iconJSX,
    style: [STYLES.empty, full ? STYLES.emptyFull : null, style],
    subtitle: text ?? locale.text,
    subtitleTextStyle: [STYLES.text, textStyle]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Empty);
//# sourceMappingURL=empty.js.map