"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("../blank/index.js"));
var _index2 = _interopRequireDefault(require("../button/index.js"));
var _index3 = _interopRequireDefault(require("../result/index.js"));
var _resultIconError = _interopRequireDefault(require("../result/icons/result-icon-error.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ERROR_PAGE_STYLE = {
  flex: 1,
  backgroundColor: '#fff'
};

/**
 * ErrorBoundary 错误捕获
 * @description 一般用于应用根组件，捕获 React 内产生的问题。
 */
class ErrorBoundary extends _react.PureComponent {
  static getDerivedStateFromError(error) {
    // 更新 state，下次渲染可以展示错误相关的 UI
    return {
      error
    };
  }
  state = {
    error: null
  };
  componentDidCatch(error, info) {
    this.props.onError?.(error, info);
  }

  /**
   * 点击清空错误，重新渲染子组件
   */
  onPressReload = () => {
    this.setState({
      error: null
    });
  };
  render() {
    if (this.state.error) {
      // 渲染出错时的 UI
      if (this.props.renderError) {
        return this.props.renderError({
          name: this.state.error.name,
          message: this.state.error.message,
          onReset: this.onPressReload
        });
      }
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
        type: "padding",
        style: ERROR_PAGE_STYLE,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default, {
          status: "error",
          renderIcon: () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_resultIconError.default, {}),
          subtitle: `${this.props.title || '加载失败，请稍后再试~'}\n${this.state.error.name}\n${this.state.error.message}`,
          extra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
            type: "primary",
            size: "s",
            text: this.props.reloadText || '重新加载',
            onPress: this.onPressReload
          })
        })
      });
    }
    return this.props.children;
  }
}
var _default = exports.default = ErrorBoundary;
//# sourceMappingURL=index.js.map