"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _omit = _interopRequireDefault(require("lodash/omit"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../cell/index.js"));
var _style = require("../cell/style.js");
var _index2 = _interopRequireDefault(require("../date-picker/index.js"));
var _helper = require("../date-picker-view/helper.js");
var _index3 = require("../helpers/index.js");
var _index4 = require("../hooks/index.js");
var _style2 = require("../text-input/style.js");
var _textInputClear = _interopRequireDefault(require("../text-input/text-input-clear.js"));
var _index5 = _interopRequireDefault(require("../theme/index.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const FieldDateRange = ({
  mode = 'Y-D',
  min,
  max,
  renderLabel,
  confirmButtonText,
  resetButtonText,
  formatValueText,
  datePickerTitle,
  dataPickerBeforeClose,
  datePickerCustomOption,
  isLink = true,
  editable = true,
  clearable = false,
  placeholder,
  placeholderTextColor,
  valueStyle,
  valueTextStyle,
  textAlign = 'right',
  ...restProps
}) => {
  if (restProps.vertical) {
    textAlign = 'left';
  }
  const TOKENS = _index5.default.useThemeTokens();
  const CV_CELL = _index5.default.createVar(TOKENS, _style.varCreator);
  const CV_TEXT_INPUT = _index5.default.createVar(TOKENS, _style2.varCreator);

  // 修正数据
  placeholderTextColor = (0, _index3.getDefaultValue)(placeholderTextColor, CV_TEXT_INPUT.text_input_placeholder_text_color);
  const [value, onChange] = (0, _index4.useControllableValue)(restProps);
  const valueTexts = (0, _react.useMemo)(() => value?.[0] && value[1] ? [(0, _helper.formatDate)(mode, value[0]), (0, _helper.formatDate)(mode, value[1])] : undefined, [value, mode]);
  const hasValue = !(0, _isUndefined.default)(valueTexts);
  const valueTextStyles = (0, _react.useMemo)(() => {
    return [{
      color: CV_CELL.cell_value_text_color,
      fontSize: CV_CELL.cell_font_size,
      lineHeight: CV_CELL.cell_title_line_height
    }, valueTextStyle, !hasValue ? {
      color: placeholderTextColor
    } : null];
  }, [CV_CELL.cell_font_size, CV_CELL.cell_title_line_height, CV_CELL.cell_value_text_color, valueTextStyle, hasValue, placeholderTextColor]);
  const onPress = (0, _index4.usePersistFn)(() => {
    _reactNative.Keyboard.dismiss();
    const option = {
      defaultValue: value,
      confirmButtonText,
      resetButtonText,
      mode,
      min,
      max,
      renderLabel,
      title: datePickerTitle,
      beforeClose: dataPickerBeforeClose
    };
    _index2.default.range(datePickerCustomOption ? datePickerCustomOption(option) : option).then(({
      action,
      values: _values
    }) => {
      if (action === 'confirm') {
        onChange(_values);
      }
    });
  });
  const swapRightJSX = /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.SwapRightOutline, {
    size: 16,
    color: CV_CELL.cell_icon_color
    // eslint-disable-next-line react-native/no-inline-styles
    ,
    style: {
      alignItems: 'center',
      justifyContent: 'center',
      marginHorizontal: TOKENS.space_1 / 2
    }
  });
  const showTexts = hasValue && formatValueText && value ? formatValueText(value, mode, valueTexts) : valueTexts;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
    ...(0, _omit.default)(restProps, ['value', 'defaultValue', 'onChange']),
    disabled: !editable,
    onPress: onPress,
    valueStyle: [
    // eslint-disable-next-line react-native/no-inline-styles
    {
      flexDirection: 'row',
      alignItems: 'center',
      justifyContent: textAlign === 'left' ? 'flex-start' : textAlign === 'center' ? 'center' : 'flex-end'
    }, valueStyle],
    value: hasValue ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [(0, _index3.renderTextLikeJSX)(showTexts[0], valueTextStyles), swapRightJSX, (0, _index3.renderTextLikeJSX)(showTexts[1], valueTextStyles)]
    }) : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [placeholder?.[0] ? (0, _index3.renderTextLikeJSX)(placeholder[0], valueTextStyles) : null, swapRightJSX, placeholder?.[1] ? (0, _index3.renderTextLikeJSX)(placeholder[1], valueTextStyles) : null]
    }),
    isLink: value && clearable ? false : isLink,
    valueExtra: value && clearable ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [restProps.valueExtra, /*#__PURE__*/(0, _jsxRuntime.jsx)(_textInputClear.default, {
        onPress: () => {
          onChange(undefined);
        }
      })]
    }) : restProps.valueExtra
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(FieldDateRange);
//# sourceMappingURL=field-date-range.js.map