"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _omit = _interopRequireDefault(require("lodash/omit"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../date-picker/index.js"));
var _helper = require("../date-picker-view/helper.js");
var _index2 = require("../hooks/index.js");
var _textInputClear = _interopRequireDefault(require("../text-input/text-input-clear.js"));
var _fieldText = _interopRequireDefault(require("./field-text.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const FieldDate = ({
  mode = 'Y-m',
  min,
  max,
  renderLabel,
  confirmButtonText,
  cancelButtonText,
  formatValueText,
  datePickerTitle,
  datePickerCustomOption,
  isLink = true,
  editable = true,
  clearable = false,
  ...restProps
}) => {
  const [value, onChange] = (0, _index2.useControllableValue)(restProps);
  const valueText = (0, _react.useMemo)(() => value ? (0, _helper.formatDate)(mode, value) : undefined, [value, mode]);
  const onPress = (0, _index2.usePersistFn)(() => {
    _reactNative.Keyboard.dismiss();
    const option = {
      defaultValue: value || new Date(),
      confirmButtonText,
      cancelButtonText,
      mode,
      min,
      max,
      renderLabel,
      title: datePickerTitle
    };
    (0, _index.default)(datePickerCustomOption ? datePickerCustomOption(option) : option).then(({
      action,
      value: _value
    }) => {
      if (action === 'confirm') {
        onChange(_value);
      }
    });
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_fieldText.default, {
    ...(0, _omit.default)(restProps, ['value', 'defaultValue', 'onChange']),
    disabled: !editable,
    onPress: onPress,
    value: formatValueText && !(0, _isUndefined.default)(valueText) && value ? formatValueText(value, mode, valueText) : valueText,
    isLink: value && clearable ? false : isLink,
    valueExtra: value && clearable ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [restProps.valueExtra, /*#__PURE__*/(0, _jsxRuntime.jsx)(_textInputClear.default, {
        onPress: () => {
          onChange(null);
        }
      })]
    }) : restProps.valueExtra
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(FieldDate);
//# sourceMappingURL=field-date.js.map