"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isArray = _interopRequireDefault(require("lodash/isArray"));
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _style = require("../cell/style.js");
var _index = require("../hooks/index.js");
var _loadingSpinner = _interopRequireDefault(require("../loading/loading-spinner.js"));
var _index2 = _interopRequireDefault(require("../locale/index.js"));
var _index3 = _interopRequireDefault(require("../selector/index.js"));
var _textInputClear = _interopRequireDefault(require("../text-input/text-input-clear.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _fieldText = _interopRequireDefault(require("./field-text.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * 输入框 选择输入
 */
const FieldSelector = ({
  value,
  options,
  multiple,
  onChange,
  optionsLoading = false,
  editable = true,
  clearable = false,
  selectorTitle,
  renderResultText,
  search,
  isLink = true,
  ...restProps
}) => {
  const locale = _index2.default.useLocale().FieldSelector;
  const TOKENS = _index4.default.useThemeTokens();
  const CV_CELL = _index4.default.createVar(TOKENS, _style.varCreator);
  const onPressCell = (0, _index.usePersistFn)(() => {
    _reactNative.Keyboard.dismiss();
    if (editable) {
      (0, _index3.default)({
        title: selectorTitle ?? locale.selectorTitle,
        multiple,
        options,
        value,
        search,
        onChange
      }).catch(() => {});
    }
  });
  const hasValue = multiple ? (0, _isArray.default)(value) && value.length > 0 : !(0, _isUndefined.default)(value);
  const _value = hasValue ? multiple ? value : [value] : undefined;
  const _option = _value?.map(o => {
    const index = options.findIndex(ops => ops.value === o);
    if (index >= 0) {
      return options[index];
    }
    return null;
  }).filter(Boolean) ?? [];
  const value2text = hasValue ? renderResultText ? renderResultText(_value, _option) : _option.map(o => o.label).join('、') : undefined;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_fieldText.default, {
    ...restProps,
    onPress: optionsLoading ? undefined : onPressCell,
    value: value2text,
    isLink: optionsLoading || hasValue && clearable ? false : isLink,
    valueExtra: optionsLoading || hasValue && clearable ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [restProps.valueExtra, optionsLoading ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View
      // eslint-disable-next-line react-native/no-inline-styles
      , {
        style: {
          marginLeft: CV_CELL.cell_icon_link_margin_left,
          justifyContent: 'center',
          alignItems: 'center'
        },
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_loadingSpinner.default, {
          testID: "FIELD_SELECTOR_LOADING",
          size: CV_CELL.cell_icon_size,
          color: CV_CELL.cell_icon_color
        })
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_textInputClear.default, {
        onPress: () => {
          // TODO 修复类型报错
          onChange?.(multiple ? [] : undefined, []);
        }
      })]
    }) : restProps.valueExtra
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(FieldSelector);
//# sourceMappingURL=field-selector.js.map