"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("../cell/index.js"));
var _index2 = _interopRequireDefault(require("../text-input/index.js"));
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _helper = require("./helper.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Field 输入框
 * @description 表单中的输入框组件。
 * @description TODO 自定义输入项
 * @description TODO 解决多行输入高度没对齐的问题
 */
const FieldTextInput = ({
  // TextInput 属性
  textAlign = 'right',
  type,
  textInputStyle,
  textInputBordered,
  ...restProps
}) => {
  const {
    cellProps,
    otherProps
  } = (0, _helper.pickCellProps)(restProps);
  if (cellProps.vertical) {
    textAlign = 'left';
    type = 'textarea';
  }
  if (type === 'textarea') {
    textAlign = 'left';
    textInputBordered = true;
    cellProps.vertical = true;
  }
  const TOKENS = _index3.default.useThemeTokens();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
    ...cellProps,
    valueStyle: [cellProps.vertical ? {
      marginTop: TOKENS.space_2
    } : null, cellProps.valueStyle],
    value: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
      ...otherProps,
      style: textInputStyle,
      type: type,
      bordered: textInputBordered,
      textAlign: textAlign
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(FieldTextInput);
//# sourceMappingURL=field-text-input.js.map