"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("../cell/index.js"));
var _index2 = require("../helpers/index.js");
var _style = require("../text-input/style.js");
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * 输入框 纯文字方式
 */
const FieldText = ({
  placeholder,
  placeholderTextColor,
  value,
  valueTextStyle,
  ...restProps
}) => {
  const hasValue = !(0, _isNil.default)(value);
  const text = hasValue ? value : placeholder;
  const TOKENS = _index3.default.useThemeTokens();
  const CV_TEXT_INPUT = _index3.default.createVar(TOKENS, _style.varCreator);

  // 修正数据
  placeholderTextColor = (0, _index2.getDefaultValue)(placeholderTextColor, CV_TEXT_INPUT.text_input_placeholder_text_color);
  const valueTextStyles = (0, _react.useMemo)(() => {
    return [valueTextStyle, !hasValue ? {
      color: placeholderTextColor
    } : null];
  }, [valueTextStyle, hasValue, placeholderTextColor]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
    ...restProps,
    value: text,
    valueTextStyle: valueTextStyles
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(FieldText);
//# sourceMappingURL=field-text.js.map