"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pickCellProps = void 0;
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const pickCellProps = ({
  innerStyle,
  title,
  titleStyle,
  titleTextStyle,
  titleExtra,
  valueStyle,
  valueExtra,
  extra,
  extraTextStyle,
  contentStyle,
  divider,
  dividerLeftGap,
  dividerRightGap,
  isLink,
  onPressLink,
  center,
  arrowDirection,
  required,
  vertical,
  titleTextNumberOfLines,
  style,
  testID,
  ...otherProps
}, defaultProps) => {
  const cellProps = {
    innerStyle,
    title,
    titleStyle,
    titleTextStyle,
    titleExtra,
    valueStyle,
    valueExtra,
    extra,
    extraTextStyle,
    contentStyle,
    divider,
    dividerLeftGap,
    dividerRightGap,
    isLink,
    onPressLink,
    center,
    arrowDirection,
    required,
    vertical,
    titleTextNumberOfLines,
    style,
    testID
  };
  if (defaultProps && typeof defaultProps === 'object') {
    Object.entries(defaultProps).forEach(([key, value]) => {
      if ((0, _isUndefined.default)(cellProps[key])) {
        cellProps[key] = value;
      }
    });
  }
  return {
    cellProps,
    otherProps
  };
};
exports.pickCellProps = pickCellProps;
//# sourceMappingURL=helper.js.map