"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _rcFieldForm = require("rc-field-form");
var _react = _interopRequireDefault(require("react"));
var _index = require("../hooks/index.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const hasValidName = name => {
  return !(name === undefined || name === null);
};
function FormItem(props) {
  const {
    children,
    ...restProps
  } = props;
  const hasName = hasValidName(restProps.name);
  const isRenderProps = typeof children === 'function';
  const getValueFromEvent = (0, _index.usePersistFn)((...args) => {
    const event = args[0];
    const valuePropName = props.valuePropName || 'text';
    if (event?.nativeEvent && typeof event.nativeEvent === 'object' && valuePropName in event.nativeEvent) {
      return event.nativeEvent[valuePropName];
    }
    return event;
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_rcFieldForm.Field, {
    ...restProps,
    getValueFromEvent: props.getValueFromEvent || getValueFromEvent,
    children: !hasName && (restProps.shouldUpdate || restProps.dependencies) && isRenderProps ? (_, __, context) => children(context) : children
  });
}
var _default = exports.default = FormItem;
//# sourceMappingURL=form-item.js.map