"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;
var _rcFieldForm = require("rc-field-form");
var _react = require("react");
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../toast/index.js"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _default(form) {
  const [rcForm] = (0, _rcFieldForm.useForm)();
  const wrapForm = (0, _react.useMemo)(() => form ?? {
    ...rcForm,
    submit: (...args) => {
      // 触发提交的时候收齐软键盘
      _reactNative.Keyboard.dismiss();
      rcForm.submit(...args);
    },
    validateFields: (...args) => {
      return new Promise((resolve, reject) => {
        rcForm.validateFields(...args).then(resolve).catch(e => {
          (0, _index.default)(e.errorFields[0].errors[0]);
          reject(e);
        });
      });
    },
    validateFieldsWithoutToast: rcForm.validateFields
  }, [form, rcForm]);
  return [wrapForm];
}
//# sourceMappingURL=useForm.js.map