"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _context = require("./context.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const BASE_SPAN_WIDTH = 100 / 24;

/**
 * Col 布局
 * @description 每个子单元格。
 */
const Col = ({
  style,
  span,
  offset = 0,
  ...restProps
}) => {
  const {
    gap = 0
  } = (0, _context.useRow)();
  const width = `${+span * BASE_SPAN_WIDTH}%`;
  const left = `${+offset * BASE_SPAN_WIDTH}%`;
  const colStyles = [{
    flexGrow: 0,
    flexShrink: 0,
    flexBasis: width,
    paddingHorizontal: +gap / 2,
    marginLeft: left
  }, style
  // to test ui
  // {
  //   backgroundColor: '#000',
  // },
  ];
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...restProps,
    style: colStyles
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Col);
//# sourceMappingURL=col.js.map