"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _context = _interopRequireDefault(require("./context.js"));
var _style = _interopRequireDefault(require("./style.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Row 布局
 * @description 一组单元格。
 */const Row = ({
  gap = 0,
  style,
  justify,
  align,
  ...restProps
}) => {
  const ctx = (0, _react.useMemo)(() => ({
    gap
  }), [gap]);
  const rowStyles = [_style.default.row, {
    marginHorizontal: -(+gap / 2),
    justifyContent: justify,
    alignItems: align
  }, style
  // to test ui
  // {
  //   backgroundColor: '#666',
  // },
  ];

  // console.log(-(+gutter / 2));

  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_context.default.Provider, {
    value: ctx,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      ...restProps,
      style: rowStyles
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Row);
//# sourceMappingURL=row.js.map