"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getDefaultValue: true,
  renderTextLikeJSX: true,
  touchablePropsFields: true,
  isTouchableNode: true,
  pickTouchablePropsField: true,
  omitTouchablePropsField: true,
  easing: true,
  childrenToArray: true
};
Object.defineProperty(exports, "childrenToArray", {
  enumerable: true,
  get: function () {
    return _toArray.default;
  }
});
Object.defineProperty(exports, "easing", {
  enumerable: true,
  get: function () {
    return _easing.default;
  }
});
exports.touchablePropsFields = exports.renderTextLikeJSX = exports.pickTouchablePropsField = exports.omitTouchablePropsField = exports.isTouchableNode = exports.getDefaultValue = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _omit = _interopRequireDefault(require("lodash/omit"));
var _pick = _interopRequireDefault(require("lodash/pick"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
var _zIndex = require("./z-index.js");
Object.keys(_zIndex).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _zIndex[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _zIndex[key];
    }
  });
});
var _easing = _interopRequireDefault(require("./easing.js"));
var _interceptor = require("./interceptor.js");
Object.keys(_interceptor).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _interceptor[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _interceptor[key];
    }
  });
});
var _typeof = require("./typeof.js");
Object.keys(_typeof).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _typeof[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _typeof[key];
    }
  });
});
var _number = require("./format/number.js");
Object.keys(_number).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _number[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _number[key];
    }
  });
});
var _attachPropertiesToComponent = require("./attach-properties-to-component.js");
Object.keys(_attachPropertiesToComponent).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _attachPropertiesToComponent[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _attachPropertiesToComponent[key];
    }
  });
});
var _arrow = require("./arrow.js");
Object.keys(_arrow).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _arrow[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _arrow[key];
    }
  });
});
var _toArray = _interopRequireDefault(require("./children/to-array.js"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/** 获取默认值 */
const getDefaultValue = (value, defaultValue) => {
  return !(0, _isUndefined.default)(value) ? value : defaultValue;
};

/** 渲染类文字的 JSX */
exports.getDefaultValue = getDefaultValue;
const renderTextLikeJSX = (node, style, restProps) => {
  return !(0, _isNil.default)(node) ? /*#__PURE__*/(0, _react.isValidElement)(node) ? node : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
    ...restProps,
    style: style,
    children: node
  }) : null;
};

/** 可点击元素的属性字段 */
exports.renderTextLikeJSX = renderTextLikeJSX;
const touchablePropsFields = exports.touchablePropsFields = ['delayLongPress', 'delayPressIn', 'delayPressOut', 'disabled', 'hitSlop', 'onBlur', 'onFocus', 'onLongPress', 'onPress', 'onPressIn', 'onPressOut', 'pressRetentionOffset'];

/**
 * 是一个点击节点
 */
const isTouchableNode = props => {
  return Object.keys(props).some(k => {
    if (touchablePropsFields.indexOf(k) > -1 && !(0, _isNil.default)(props[k])) {
      return true;
    }
    return false;
  });
};

/**
 * 挑选出点击事件的属性
 */
exports.isTouchableNode = isTouchableNode;
const pickTouchablePropsField = props => {
  return (0, _pick.default)(props, touchablePropsFields);
};

/**
 * 排除点击事件的属性
 */
exports.pickTouchablePropsField = pickTouchablePropsField;
const omitTouchablePropsField = props => {
  return (0, _omit.default)(props, touchablePropsFields);
};
exports.omitTouchablePropsField = omitTouchablePropsField;
//# sourceMappingURL=index.js.map