"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.callInterceptor = callInterceptor;
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _noop = _interopRequireDefault(require("lodash/noop"));
var _typeof = require("./typeof.js");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function callInterceptor(interceptor, {
  args = [],
  done,
  canceled
}) {
  if (interceptor) {
    const returnVal = interceptor.apply(null, args);
    if ((0, _typeof.isPromise)(returnVal)) {
      returnVal.then(value => {
        if ((0, _isUndefined.default)(value) || value) {
          done();
        } else if (canceled) {
          canceled();
        }
      }).catch(_noop.default);
    } else if ((0, _isUndefined.default)(returnVal) || returnVal) {
      done();
    } else if (canceled) {
      canceled();
    }
  } else {
    done();
  }
}
//# sourceMappingURL=interceptor.js.map