"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
/**
 * 代码来源：https://github.com/alibaba/hooks/blob/master/packages/hooks/src/usePersistFn/index.ts
 * 关于 this：https://www.jianshu.com/p/8b3a2513d8e5
 */

/**
 * 持久化 function 的 Hook
 */
function usePersistFn(fn) {
  const fnRef = (0, _react.useRef)(fn);
  fnRef.current = fn;
  const persistFn = (0, _react.useRef)();
  if (!persistFn.current) {
    persistFn.current = function (...args) {
      return fnRef.current?.apply(this, args);
    };
  }
  return persistFn.current;
}
var _default = exports.default = usePersistFn;
//# sourceMappingURL=usePersistFn.js.map