"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
/**
 * 页面更新后执行副作用操作
 * @param effect 副作用操作
 * @param deps 更新触发依赖
 */
const useUpdateEffect = (effect, deps) => {
  const mounted = (0, _react.useRef)(false);
  (0, _react.useEffect)(() => {
    if (!mounted.current) {
      mounted.current = true;
    } else {
      return effect();
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, deps);
};
var _default = exports.default = useUpdateEffect;
//# sourceMappingURL=useUpdateEffect.js.map