"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSvg = require("react-native-svg");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _useLoop = _interopRequireDefault(require("./useLoop.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const AnimatedCircle = _reactNative.Animated.createAnimatedComponent(_reactNativeSvg.Circle);
const STROKE_WIDTH = 2;
const Circular = ({
  theme,
  size,
  color,
  ...restProps
}) => {
  const [CV] = _index2.default.useStyle({
    varCreator: _style.varCreator,
    theme
  });
  const AnimatedCircle0Value = (0, _react.useRef)(new _reactNative.Animated.Value(0)).current;
  const AnimatedCircle1Value = (0, _react.useRef)(new _reactNative.Animated.Value(0)).current;
  const AnimatedCircle2Value = (0, _react.useRef)(new _reactNative.Animated.Value(0)).current;
  let _size = (0, _index.getDefaultValue)(size, CV.loading_icon_size);
  color = (0, _index.getDefaultValue)(color, CV.loading_icon_color);
  const circle1Props = (0, _react.useMemo)(() => {
    const center = Math.floor(_size / 2);
    const radios = Math.floor(center - STROKE_WIDTH / 2);
    return {
      cy: center,
      cx: center,
      r: radios
    };
  }, [_size]);
  const circle2Props = (0, _react.useMemo)(() => {
    const center = Math.floor(_size / 2);
    const radios = Math.floor(center - STROKE_WIDTH / 2 - center / 2);
    return {
      cy: center,
      cx: center,
      r: radios
    };
  }, [_size]);
  const half1Circle = (0, _react.useMemo)(() => circle1Props.r * Math.PI, [circle1Props.r]);
  const half2Circle = (0, _react.useMemo)(() => circle2Props.r * Math.PI, [circle2Props.r]);
  (0, _useLoop.default)(AnimatedCircle0Value, 0, {
    toValue: 1,
    duration: CV.loading_icon_animation_duration
  });
  (0, _useLoop.default)(AnimatedCircle1Value, half1Circle, {
    toValue: -half1Circle * 2,
    duration: CV.loading_icon_animation_duration * 1.5
  });
  (0, _useLoop.default)(AnimatedCircle2Value, half2Circle, {
    toValue: -half2Circle * 2,
    duration: CV.loading_icon_animation_duration * 2.5
  });
  const iconStyle = {
    justifyContent: 'center',
    alignItems: 'center',
    width: _size,
    height: _size,
    transform: [{
      rotateZ: AnimatedCircle0Value.interpolate({
        inputRange: [0, 1],
        outputRange: ['-90deg', '270deg']
      })
    }]
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.View, {
    ...restProps,
    style: [iconStyle, restProps.style],
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNativeSvg.Svg, {
      width: "100%",
      height: "100%"
      // style={{ backgroundColor: 'rgba(0,0,0,0.2)' }}
      ,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(AnimatedCircle, {
        ...circle1Props,
        stroke: color,
        strokeWidth: STROKE_WIDTH,
        strokeDasharray: `${half1Circle},${half1Circle * 2}`,
        strokeLinecap: "round"
        // strokeDashoffset={half1Circle - half1Circle - half1Circle - 10}
        ,
        strokeDashoffset: AnimatedCircle1Value,
        fill: "none"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(AnimatedCircle, {
        ...circle2Props,
        stroke: color,
        strokeWidth: STROKE_WIDTH,
        strokeDasharray: `${half2Circle},${half2Circle * 2}`,
        strokeLinecap: "round"
        // strokeDashoffset={half1Circle - half1Circle - half1Circle - 10}
        ,
        strokeDashoffset: AnimatedCircle2Value,
        fill: "none"
      })]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Circular);
//# sourceMappingURL=loading-circular.js.map