"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _loadingCircular = _interopRequireDefault(require("./loading-circular.js"));
var _loadingSpinner = _interopRequireDefault(require("./loading-spinner.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Loading 加载
 * 加载图标，用于表示加载中的过渡状态。
 */const Loading = ({
  children,
  style,
  theme,
  textStyle,
  size,
  color,
  textSize,
  vertical = false,
  type = 'circular',
  loadingIcon,
  ...restProps
}) => {
  const [CV] = _index2.default.useStyle({
    varCreator: _style.varCreator,
    theme
  });
  const ICON_COLOR = (0, _index.getDefaultValue)(color, CV.loading_icon_color);
  const ICON_SIZE = (0, _index.getDefaultValue)(size, CV.loading_icon_size);
  const textJSX = !(0, _isNil.default)(children) ? /*#__PURE__*/(0, _react.isValidElement)(children) ? children : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
    style: _reactNative.StyleSheet.flatten([{
      fontSize: textSize || CV.loading_text_font_size,
      color: color || CV.loading_text_color,
      marginLeft: vertical ? 0 : CV.loading_gap,
      marginTop: vertical ? CV.loading_gap : 0
    }, textStyle]),
    children: children
  }) : null;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    ...restProps,
    style: _reactNative.StyleSheet.flatten([STYLES.loading, vertical ? STYLES.loading_vertical : null, style]),
    children: [/*#__PURE__*/(0, _react.isValidElement)(loadingIcon) ? loadingIcon : typeof loadingIcon === 'function' ? loadingIcon(ICON_SIZE, ICON_COLOR) : type === 'circular' ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_loadingCircular.default, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_loadingSpinner.default, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }), textJSX]
  });
};
const STYLES = _reactNative.StyleSheet.create({
  loading: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  loading_vertical: {
    flexDirection: 'column'
  }
});
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Loading);
//# sourceMappingURL=loading.js.map