"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _style = require("../button/style.js");
var _index = _interopRequireDefault(require("../divider/index.js"));
var _index2 = require("../helpers/index.js");
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style2 = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const BACK_ARROW_HIT_SLOP = {
  left: 10,
  right: 10
  // top: 0,
  // bottom: 0,
};

/**
 * NavBar 导航栏
 */
const NavBar = ({
  testID,
  style,
  theme,
  leftStyle,
  rightStyle,
  titleTextStyle,
  title,
  leftExtra,
  rightExtra,
  showBackArrow = true,
  backArrowColor,
  backArrowSize,
  divider = true,
  onPressBackArrow
}) => {
  const [CV, STYLES] = _index3.default.useStyle({
    varCreator: _style2.varCreator,
    styleCreator: _style2.styleCreator,
    theme
  });
  const [CV_BUTTON] = _index3.default.useStyle({
    varCreator: _style.varCreator
  });
  backArrowColor = (0, _index2.getDefaultValue)(backArrowColor, CV.nav_bar_icon_color);
  backArrowSize = (0, _index2.getDefaultValue)(backArrowSize, CV.nav_bar_arrow_size);
  const titleJSX = (0, _index2.renderTextLikeJSX)(title, [STYLES.title_text, titleTextStyle]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: [STYLES.bar, style],
      testID: testID,
      children: [showBackArrow || !(0, _isNil.default)(leftExtra) ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
        style: [STYLES.left, leftStyle],
        children: [showBackArrow ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
          style: STYLES.back_arrow,
          onPress: onPressBackArrow,
          activeOpacity: CV_BUTTON.button_active_opacity,
          hitSlop: BACK_ARROW_HIT_SLOP,
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.ArrowLeftOutline, {
            size: backArrowSize,
            color: backArrowColor
          })
        }) : null, leftExtra]
      }) : null, !(0, _isNil.default)(rightExtra) ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: [STYLES.right, rightStyle],
        children: rightExtra
      }) : null, titleJSX]
    }), divider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {}) : null]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(NavBar);
//# sourceMappingURL=nav-bar.js.map