"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../hooks/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const NavTab = ({
  options,
  theme,
  ...restProps
}) => {
  const [, STYLES] = _index2.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const [value, onChange] = (0, _index.useControllableValue)(restProps);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: STYLES.navWrapper,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: STYLES.nav,
      children: options?.map(item => {
        const isActive = item.value === value;
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
          style: [STYLES.item, isActive ? STYLES.itemActive : null],
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
            style: [STYLES.itemText, isActive ? STYLES.itemTextActive : null],
            onPress: () => {
              onChange(item.value);
            },
            suppressHighlighting: true,
            children: item.label
          })
        }, `${item.value}`);
      })
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(NavTab);
//# sourceMappingURL=nav-tab.js.map