"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _notify = _interopRequireDefault(require("./notify.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Notify 消息提示
 * @description 在页面顶部展示消息提示，支持函数调用和组件调用两种方式。
 */const NotifyMethod = /*#__PURE__*/(0, _react.forwardRef)(({
  duration = 3000,
  message,
  ...restProps
}, ref) => {
  const [visible, setVisible] = (0, _react.useState)(false);
  const [msg, setMsg] = (0, _react.useState)(message);
  (0, _react.useEffect)(() => {
    setVisible(true);
    let timer;
    if (duration !== 0) {
      timer = setTimeout(() => {
        // 隐藏弹窗
        setVisible(false);
      }, duration);
    }
    return () => {
      clearTimeout(timer);
    };
  }, [duration]);

  // 向外暴露函数
  (0, _react.useImperativeHandle)(ref, () => ({
    close: () => {
      setVisible(false);
    },
    setMessage: s => {
      setMsg(s);
    }
  }), []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_notify.default, {
    ...restProps,
    visible: visible,
    message: msg
  });
});
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(NotifyMethod);
//# sourceMappingURL=notify-method.js.map