"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _popup = _interopRequireDefault(require("../popup/popup.js"));
var _index = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Notify 消息提示
 * @description 在页面顶部展示消息提示，支持函数调用和组件调用两种方式。
 * @description 原计划 Notify 的 Props 继承 TouchableWithoutFeedbackProps，更贴近 React Native 提供的组件，这里需要把 Popup 中通用的属性提取出来，如果以后涉及到改动，有点麻烦，等大部分组件完整后看看怎么优化。
 */const Notify = ({
  children,
  theme,
  style,
  textStyle,
  type = 'primary',
  message,
  color,
  backgroundColor,
  onPress,
  ...restProps
}) => {
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const [CV, STYLES] = _index.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const messageJSX = !(0, _isNil.default)(message) ? /*#__PURE__*/(0, _react.isValidElement)(message) ? message : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
    style: [STYLES.text, {
      color: !(0, _isNil.default)(color) ? color : CV.notify_text_color
    }, textStyle],
    numberOfLines: 1,
    children: message
  }) : children;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_popup.default, {
    ...restProps,
    overlay: false,
    position: "top",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableWithoutFeedback, {
      onPress: onPress,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: [STYLES.notify, {
          backgroundColor: !(0, _isNil.default)(backgroundColor) ? backgroundColor : CV[`notify_${type}_background_color`] || CV.notify_primary_background_color,
          paddingTop: insets.top > CV.notify_padding_vertical ? insets.top : CV.notify_padding_vertical
        }, style],
        children: messageJSX
      })
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Notify);
//# sourceMappingURL=notify.js.map