"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _react = _interopRequireWildcard(require("react"));
var _index = require("../helpers/index.js");
var _index2 = require("../hooks/index.js");
var _index3 = _interopRequireDefault(require("../text-input/index.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const hitSlop = {
  top: 4,
  bottom: 4,
  left: 4,
  right: 4
};

/**
 * 密码输入
 */
const PasswordInput = /*#__PURE__*/(0, _react.forwardRef)(({
  iconSize = 20,
  iconColor,
  ...restProps
}, ref) => {
  const TOKENS = _index4.default.useThemeTokens();
  const [secure, onChangeSecureTextEntry] = (0, _index2.useControllableValue)(restProps, {
    valuePropName: 'secureTextEntry',
    defaultValuePropName: 'defaultSecureTextEntry',
    defaultValue: true,
    trigger: 'onChangeSecureTextEntry'
  });
  iconColor = (0, _index.getDefaultValue)(iconColor, TOKENS.gray_6);
  const iconStyle = (0, _react.useMemo)(() => ({
    marginLeft: TOKENS.space_2
  }), [TOKENS.space_2]);
  const onPressIcon = (0, _index2.usePersistFn)(() => {
    onChangeSecureTextEntry(!secure);
  });
  const IconSuffix = secure ? _iconsReactNative.EyeCloseOutline : _iconsReactNative.EyeOutline;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default, {
    ...restProps,
    ref: ref,
    secureTextEntry: secure,
    suffix: /*#__PURE__*/(0, _jsxRuntime.jsx)(IconSuffix, {
      size: iconSize,
      color: iconColor,
      onPress: onPressIcon,
      style: iconStyle,
      hitSlop: hitSlop
    })
  });
});
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(PasswordInput);
//# sourceMappingURL=index.js.map