"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = require("../helpers/index.js");
var _index2 = require("../hooks/index.js");
var _picker = require("../picker-view/helper/picker.js");
var _picker2 = _interopRequireDefault(require("./picker.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const buildValue = (values, columns) => {
  const dataType = (0, _picker.getDataType)(columns);
  const [options] = (0, _picker.buildOptions)(dataType, columns, values);
  const [v, o] = (0, _picker.buildSelectedValue)(values, options);
  return {
    values: v,
    columns: o
  };
};
const PickerMethod = ({
  onCancel,
  onConfirm,
  onPressOverlay,
  beforeClose,
  ...restProps
}) => {
  const [visible, setVisible] = (0, _react.useState)(false);
  const [loading, setLoading] = (0, _react.useState)(false);
  const Value = (0, _react.useRef)(buildValue(restProps.defaultValue || [], restProps.columns));
  (0, _react.useEffect)(() => {
    setVisible(true);
  }, []);
  const onChange = (0, _react.useCallback)((v, c) => {
    Value.current = {
      values: v,
      columns: c
    };
  }, []);
  const doAction = (0, _index2.usePersistFn)(action => {
    setLoading(true);
    (0, _index.callInterceptor)(beforeClose, {
      args: [action, Value.current.values, Value.current.columns],
      done: () => {
        switch (action) {
          case 'cancel':
            onCancel?.(Value.current.values, Value.current.columns);
            break;
          case 'confirm':
            onConfirm?.(Value.current.values, Value.current.columns);
            break;
          case 'overlay':
            onPressOverlay?.(Value.current.values, Value.current.columns);
            break;
          default:
            break;
        }
        setLoading(false);
        setVisible(false);
      },
      canceled: () => {
        setLoading(false);
      }
    });
  });
  const onPressCancel = (0, _react.useCallback)(() => {
    doAction('cancel');
  }, [doAction]);
  const onPressConfirm = (0, _react.useCallback)(() => {
    doAction('confirm');
  }, [doAction]);
  const onPressPopupOverlay = (0, _react.useCallback)(() => {
    doAction('overlay');
  }, [doAction]);
  const onRequestClose = (0, _react.useCallback)(() => {
    onPressPopupOverlay();
    return true;
  }, [onPressPopupOverlay]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_picker2.default, {
    ...restProps,
    visible: visible,
    onChange: onChange,
    onCancel: onPressCancel,
    onConfirm: onPressConfirm,
    onPressOverlay: onPressPopupOverlay,
    loading: loading,
    onRequestClose: onRequestClose
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(PickerMethod);
//# sourceMappingURL=picker-method.js.map