"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _omit = _interopRequireDefault(require("lodash/omit"));
var _pick = _interopRequireDefault(require("lodash/pick"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSafeAreaContext = require("react-native-safe-area-context");
var _index = _interopRequireDefault(require("../locale/index.js"));
var _index2 = _interopRequireDefault(require("../picker-view/index.js"));
var _index3 = _interopRequireDefault(require("../popup/index.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const PICKER_VIEW_PROPS_KEYS = ['value', 'defaultValue', 'columns', 'loading', 'itemHeight', 'visibleItemCount', 'onChange'];
const Picker = ({
  theme,
  visible,
  title,
  confirmButtonText,
  cancelButtonText,
  toolbarPosition = 'top',
  showToolbar = true,
  onCancel,
  onConfirm,
  ...restProps
}) => {
  const locale = _index.default.useLocale().Picker;
  const [CV, STYLES] = _index4.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const insets = (0, _reactNativeSafeAreaContext.useSafeAreaInsets)();
  const headerTitleJSX = /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default.Header, {
    showClose: false,
    title: title,
    leftExtra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
      suppressHighlighting: true,
      style: STYLES.cancel_text,
      onPress: restProps.loading ? undefined : onCancel,
      children: cancelButtonText ?? locale.cancelButtonText
    }),
    rightExtra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
      suppressHighlighting: true,
      style: STYLES.confirm_text,
      onPress: restProps.loading ? undefined : onConfirm,
      children: confirmButtonText ?? locale.confirmButtonText
    })
  });
  const pickerViewProps = (0, _pick.default)(restProps, PICKER_VIEW_PROPS_KEYS);
  const popupProps = (0, _omit.default)(restProps, PICKER_VIEW_PROPS_KEYS);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index3.default, {
    ...popupProps,
    visible: visible,
    position: "bottom",
    round: true,
    children: [showToolbar && toolbarPosition === 'top' ? headerTitleJSX : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
      ...pickerViewProps
    }), showToolbar && toolbarPosition === 'bottom' ? headerTitleJSX : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: {
        height: insets.bottom + CV.picker_bottom_gap
      }
    })]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Picker);
//# sourceMappingURL=picker.js.map