"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _noop = _interopRequireDefault(require("lodash/noop"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativePopoverView = _interopRequireDefault(require("react-native-popover-view"));
var _style = require("../button/style.js");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _style2 = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const arrowSize = {
  width: 0,
  height: 0
};
const Popover = ({
  children,
  theme,
  content,
  dark = false,
  shadow = false,
  arrow = true,
  triggerStyle,
  onSelect = _noop.default,
  disabled,
  renderContentComponent,
  duration,
  trigger = 'onPress',
  backgroundStyle,
  popoverStyle,
  ...restProps
}) => {
  const [, STYLES, TOKENS] = _index2.default.useStyle({
    varCreator: _style2.varCreator,
    styleCreator: _style2.styleCreator,
    theme
  });
  const [CV_BUTTON] = _index2.default.useStyle({
    varCreator: _style.varCreator
  });
  duration = (0, _index.getDefaultValue)(duration, TOKENS.animation_duration_base);
  const touchable = (0, _react.useRef)(null);
  const [showPopover, setShowPopover] = (0, _react.useState)(false);
  const animationConfig = (0, _react.useMemo)(() => ({
    duration
  }), [duration]);
  const openPopover = (0, _react.useCallback)(() => {
    setShowPopover(true);
  }, []);
  const closePopover = (0, _react.useCallback)(() => {
    setShowPopover(false);
  }, []);
  const _onSelect = (value, index) => {
    if (onSelect) {
      onSelect(value, index);
    }
    closePopover();
  };
  const renderContent = () => {
    const items = _react.Children.map(content, (child, index) => {
      if (! /*#__PURE__*/(0, _react.isValidElement)(child)) {
        return child;
      }
      return /*#__PURE__*/(0, _react.cloneElement)(child, {
        onSelect: v => _onSelect(v, index),
        dark: dark
      });
    });
    if (typeof renderContentComponent === 'function') {
      return renderContentComponent(items, closePopover);
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.ScrollView, {
      children: items
    });
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
      ref: touchable,
      onPress: trigger === 'onPress' ? openPopover : undefined,
      onLongPress: trigger === 'onLongPress' ? openPopover : undefined,
      onPressIn: trigger === 'onPressIn' ? openPopover : undefined,
      style: [STYLES.trigger, triggerStyle],
      disabled: disabled,
      activeOpacity: CV_BUTTON.button_active_opacity,
      children: children
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativePopoverView.default, {
      ...restProps,
      from: touchable,
      isVisible: showPopover,
      backgroundStyle: [STYLES.background, backgroundStyle],
      popoverStyle: [STYLES.content,
      // Android 黑色背景的阴影也是黑色，不友好
      dark ? STYLES.content_dark : null, shadow ? STYLES.content_shadow : null, popoverStyle],
      arrowSize: !arrow ? arrowSize : undefined,
      onRequestClose: closePopover,
      animationConfig: animationConfig,
      children: renderContent()
    })]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Popover);
//# sourceMappingURL=popover.js.map