"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTransform = exports.getPosition = void 0;
var _reactNative = require("react-native");
const isTopOrBottom = position => position === 'top' || position === 'bottom';
const getTransform = (position, value) => {
  if (position === 'center') {
    return {
      opacity: value,
      left: 0,
      right: 0,
      top: 0,
      bottom: 0
      // transform: [
      //   {
      //     translateX: 0,
      //   },
      //   {
      //     translateY: 0,
      //   },
      // ],
    };
  }
  const isY = isTopOrBottom(position);
  return {
    transform: [isY ? {
      translateY: value
    } : {
      translateX: value
    }]
  };
};
exports.getTransform = getTransform;
const getPosition = (visible, position) => {
  if (position === 'center') {
    return visible ? 1 : 0;
  }
  if (visible) {
    return 0;
  }
  const screen = _reactNative.Dimensions.get('window');
  const x = screen.width * (visible ? 0 : 1);
  const y = screen.height * (visible ? 0 : 1);
  switch (position) {
    case 'top':
      return -y;
    case 'bottom':
      return y;
    case 'left':
      return -x;
    case 'right':
      return x;
    default:
      return 0;
  }
};
exports.getPosition = getPosition;
//# sourceMappingURL=helper.js.map