"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const PopupKeyboardShim = props => {
  const KeyboardHeight = (0, _react.useRef)(new _reactNative.Animated.Value(0));
  const ViewHeight = (0, _react.useRef)(null);
  const {
    height
  } = (0, _reactNative.useWindowDimensions)();
  (0, _react.useEffect)(() => {
    if (_reactNative.Platform.OS === 'ios') {
      const keyboardDidShow = e => {
        // eslint-disable-next-line max-params
        ViewHeight.current?.measure(
        // eslint-disable-next-line max-params
        (_x, _y, _width, _height, _pageX, pageY) => {
          _reactNative.Animated.timing(KeyboardHeight.current, {
            toValue: e.endCoordinates.height - (height - pageY - _height),
            duration: 300,
            useNativeDriver: false
          }).start();
        });
        _reactNative.Animated.timing(KeyboardHeight.current, {
          toValue: e.endCoordinates.height,
          duration: 300,
          useNativeDriver: false
        }).start();
      };
      const keyboardDidHide = () => {
        _reactNative.Animated.timing(KeyboardHeight.current, {
          toValue: 0,
          duration: 300,
          useNativeDriver: false
        }).start();
      };
      const _keyboardDidShow = _reactNative.Keyboard.addListener('keyboardWillShow', keyboardDidShow);
      const _keyboardDidHide = _reactNative.Keyboard.addListener('keyboardWillHide', keyboardDidHide);
      return () => {
        // TODO 旧版本如何做兼容
        // @ts-ignore
        if (_reactNative.Keyboard.removeListener) {
          // @ts-ignore
          _reactNative.Keyboard.removeListener('keyboardWillShow', keyboardDidShow);
          // @ts-ignore
          _reactNative.Keyboard.removeListener('keyboardWillHide', keyboardDidHide);
        } else {
          _keyboardDidShow.remove?.();
          _keyboardDidHide.remove?.();
        }
      };
    }
  }, [height]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.View, {
    ...props,
    ref: ViewHeight,
    style: [{
      height: KeyboardHeight.current
    }, props.style]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(PopupKeyboardShim);
//# sourceMappingURL=popup-keyboard-shim.js.map