"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.varCreator = exports.styleCreator = exports.getBorderRadius = exports.PopupPositionMap = void 0;
var _omit = _interopRequireDefault(require("lodash/omit"));
var _reactNative = require("react-native");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const varCreator = TOKENS => {
  return {
    popup_background_color: TOKENS.white,
    popup_round_border_radius: TOKENS.border_radius_xl,
    popup_close_icon_size: 24,
    popup_close_icon_color: TOKENS.gray_7,
    popup_close_icon_margin_left: TOKENS.space_2
  };
};
exports.varCreator = varCreator;
const styleCreator = cv => {
  return _reactNative.StyleSheet.create({
    popup: {
      backgroundColor: cv.popup_background_color,
      overflow: 'hidden'
    },
    popup_hide: {
      position: 'relative',
      height: 0
    },
    popup_active: {
      position: 'absolute',
      height: 'auto'
    }
  });
};
exports.styleCreator = styleCreator;
const getBorderRadius = (cv, position, round) => {
  const borderRadius = round ? cv.popup_round_border_radius : 0;
  return {
    borderTopLeftRadius: position === 'bottom' || position === 'right' ? borderRadius : 0,
    borderTopRightRadius: position === 'bottom' || position === 'left' ? borderRadius : 0,
    borderBottomLeftRadius: position === 'top' || position === 'right' ? borderRadius : 0,
    borderBottomRightRadius: position === 'top' || position === 'left' ? borderRadius : 0
  };
};
exports.getBorderRadius = getBorderRadius;
const absolute = {
  left: 0,
  top: 0,
  bottom: 0,
  right: 0
};
const PopupPositionMap = exports.PopupPositionMap = {
  center: {
    flex: 1,
    backgroundColor: 'transparent',
    // backgroundColor: 'rgba(0,0,0,0.8)', // to test ui
    alignItems: 'center',
    justifyContent: 'center'
  },
  left: (0, _omit.default)(absolute, ['right']),
  right: (0, _omit.default)(absolute, ['left']),
  top: (0, _omit.default)(absolute, ['bottom']),
  bottom: (0, _omit.default)(absolute, ['top'])
};
//# sourceMappingURL=style.js.map