"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../space/index.js"));
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const renderStatusIcon = (status, size) => {
  const props = {
    size,
    color: '#fff'
  };
  switch (status) {
    case 'success':
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.SuccessOutline, {
        ...props
      });
    case 'warning':
    case 'info':
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.WarningOutline, {
        ...props
      });
    case 'error':
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.CrossOutline, {
        ...props
      });
    default:
      return null;
  }
};

/**
 * Result结果
 * @description 用于反馈一系列操作任务的处理结果。
 */
const Result = ({
  theme,
  subtitleTextStyle,
  titleTextStyle,
  title,
  subtitle,
  extra,
  renderIcon,
  status,
  ...restProps
}) => {
  const [CV, STYLES] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const color = CV[`result_${status}_color`];
  const iconSize = CV.result_icon_size / 4 * 3;
  const iconJSX = renderIcon ? renderIcon(color, iconSize) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: [STYLES.icon, {
      backgroundColor: color
    }],
    children: renderStatusIcon(status, iconSize)
  });
  const titleJSX = (0, _index.renderTextLikeJSX)(title, [STYLES.titleText, titleTextStyle]);
  const subtitleJSX = (0, _index.renderTextLikeJSX)(subtitle, [STYLES.subtitleText, subtitleTextStyle]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index2.default, {
    ...restProps,
    children: [iconJSX, titleJSX, subtitleJSX, extra]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Result);
//# sourceMappingURL=result.js.map