"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = require("../helpers/index.js");
var _index2 = require("../hooks/index.js");
var _useStateUpdate = _interopRequireDefault(require("../hooks/useStateUpdate.js"));
var _selector = _interopRequireDefault(require("./selector.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * Selector 函数使用时对应需要的组件
 */const SelectorMethod = ({
  onChange,
  onClose,
  beforeChange,
  ...restProps
}) => {
  const [visible, setVisible] = (0, _useStateUpdate.default)(false);
  const onChangePersistFn = (0, _index2.usePersistFn)((v, o) => {
    (0, _index.callInterceptor)(beforeChange, {
      args: [v, o],
      done: () => {
        onChange?.(v, o);
        setVisible(false);
      }
    });
  });
  const onClosePersistFn = (0, _index2.usePersistFn)(() => {
    onClose?.();
    setVisible(false);
  });
  const onRequestClose = (0, _index2.usePersistFn)(() => {
    onClosePersistFn();
    return true;
  });

  // 节点加载好后显示
  (0, _react.useEffect)(() => {
    setVisible(true);
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_selector.default, {
    ...restProps,
    visible: visible,
    onChange: onChangePersistFn,
    onClose: onClosePersistFn,
    onRequestClose: onRequestClose
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(SelectorMethod);
//# sourceMappingURL=selector-method.js.map