"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _style = require("../button/style.js");
var _style2 = require("../cell/style.js");
var _index = _interopRequireDefault(require("../divider/index.js"));
var _index2 = require("../helpers/index.js");
var _index3 = require("../hooks/index.js");
var _index4 = _interopRequireDefault(require("../space/index.js"));
var _index5 = _interopRequireDefault(require("../theme/index.js"));
var _selectorInstance = _interopRequireDefault(require("./selector-instance.js"));
var _style3 = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const SelectorText = ({
  theme,
  title,
  value,
  options,
  onChange,
  arrowDirection,
  divider = true,
  head = true
}) => {
  const [, STYLES] = _index5.default.useStyle({
    varCreator: _style3.varCreator,
    styleCreator: _style3.styleCreator,
    theme
  });
  const [CV_BUTTON] = _index5.default.useStyle({
    varCreator: _style.varCreator
  });
  const [CV_CELL] = _index5.default.useStyle({
    varCreator: _style2.varCreator
  });
  const onPress = (0, _index3.usePersistFn)(() => {
    (0, _selectorInstance.default)({
      title,
      options: options,
      value,
      onChange
    }).catch(() => {});
  });
  const IconArrow = (0, _index2.getArrowOutline)(arrowDirection);
  const textIndex = options.findIndex(op => op.value === value);
  const text = options[textIndex].label;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
    activeOpacity: CV_BUTTON.button_active_opacity,
    onPress: onPress,
    style: STYLES.text,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index4.default, {
      direction: "horizontal",
      align: "center",
      head: head,
      children: [divider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
        direction: "vertical"
      }) : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        suppressHighlighting: true,
        style: STYLES.text_text,
        children: text
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(IconArrow, {
        size: CV_CELL.cell_icon_size,
        color: CV_CELL.cell_icon_color
      })]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(SelectorText);
//# sourceMappingURL=selector-text.js.map