"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../badge/index.js"));
var _index2 = require("../hooks/index.js");
var _index3 = _interopRequireDefault(require("../loading/index.js"));
var _index4 = _interopRequireDefault(require("../locale/index.js"));
var _index5 = _interopRequireDefault(require("../result/index.js"));
var _resultIconEmpty = _interopRequireDefault(require("../result/icons/result-icon-empty.js"));
var _index6 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Sidebar = ({
  theme,
  width = 88,
  loading,
  options,
  empty,
  style,
  ...restProps
}) => {
  const [value, onChange] = (0, _index2.useControllableValue)(restProps, {
    valuePropName: 'activeValue',
    defaultValuePropName: 'defaultActiveValue'
  });
  const locale = _index4.default.useLocale().Sidebar;
  const [CV, STYLES] = _index6.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const isEmpty = loading || options.length === 0;
  const curIndex = options.findIndex(o => o.value === value);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...restProps,
    style: [STYLES.sidebar, isEmpty ? null : STYLES.sidebar_active, {
      width
    }, style],
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.ScrollView, {
      bounces: false,
      contentContainerStyle: isEmpty ? STYLES.scroll_view_empty : null,
      children: [loading ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.default, {
        vertical: true,
        children: locale.labelLoading
      }) : null, !loading && options.length === 0 ? (0, _isUndefined.default)(empty) ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index5.default, {
        status: "warning",
        subtitle: locale.labelNoData,
        renderIcon: () => {
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(_resultIconEmpty.default, {
            width: 60,
            height: 60
          });
        }
      }) : empty : null, !loading && options.length > 0 ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: STYLES.list,
        children: options.map((item, index) => {
          const isActive = value === item.value;
          const isPrev = index + 1 === curIndex;
          const isNext = index - 1 === curIndex;
          const textJSX = /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
            style: [STYLES.item_text, isActive ? STYLES.item_text_active : STYLES.item_text_inactive, item.disabled ? STYLES.item_text_disabled : null],
            children: item.label
          });
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableHighlight, {
            underlayColor: CV.sidebar_item_underlay_color,
            onPress: () => {
              onChange(item.value);
            },
            disabled: item.disabled,
            style: [STYLES.item, isActive ? null : STYLES.item_inactive, isPrev ? STYLES.item_prev : null, isNext ? STYLES.item_next : null],
            children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
              children: [isActive ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
                style: STYLES.item_bar
              }) : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
                style: STYLES.item_inner,
                children: !(0, _isNil.default)(item.badge) ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
                  ...item.badge,
                  children: textJSX
                }) : textJSX
              })]
            })
          }, item.value);
        })
      }) : null]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Sidebar);
//# sourceMappingURL=sidebar.js.map