"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _rnPlaceholder = require("rn-placeholder");
var _index = _interopRequireDefault(require("../theme/index.js"));
var _skeletonActive = _interopRequireDefault(require("./skeleton-active.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const SkeletonAvatar = ({
  theme,
  active = true,
  size = 40,
  shape = 'circle',
  testID
}) => {
  const [CV] = _index.default.useStyle({
    varCreator: _style.varCreator,
    theme
  });
  const style = (0, _react.useMemo)(() => ({
    height: size,
    width: size,
    backgroundColor: CV.skeleton_color,
    borderRadius: shape === 'circle' ? size / 2 : CV.skeleton_avatar_border_radius
  }), [CV.skeleton_avatar_border_radius, CV.skeleton_color, shape, size]);
  const nodeJSX = /*#__PURE__*/(0, _jsxRuntime.jsx)(_rnPlaceholder.PlaceholderMedia, {
    testID: testID,
    style: style
  });
  if (active) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_skeletonActive.default, {
      children: nodeJSX
    });
  }
  return nodeJSX;
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(SkeletonAvatar);
//# sourceMappingURL=skeleton-avatar.js.map