"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../space/index.js"));
var _skeletonAvatar = _interopRequireDefault(require("./skeleton-avatar.js"));
var _skeletonParagraph = _interopRequireDefault(require("./skeleton-paragraph.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const defaultTitleWidths = [38];
const defaultParagraphOption = {
  rows: 3,
  widths: [100, 100, 61]
};
const STYLES = _reactNative.StyleSheet.create({
  skeleton: {
    flexDirection: 'row'
  },
  avatar: {
    marginRight: 8
  },
  ctx: {
    flex: 1
  }
});
const Skeleton = ({
  children,
  theme,
  active = true,
  loading,
  title = true,
  paragraph = true,
  avatar = false
}) => {
  const showTitle = !!title;
  const titleWidths = (0, _index.isObject)(title) ? [title.width] : defaultTitleWidths;
  const showParagraph = !!paragraph;
  const paragraphOption = (0, _index.isObject)(paragraph) ? paragraph : defaultParagraphOption;
  const paragraphActive = !(0, _isNil.default)(paragraphOption.active) ? paragraphOption.active : active;
  const showAvatar = !!avatar;
  const avatarOption = (0, _index.isObject)(avatar) ? avatar : {};
  const ctxJSX = showParagraph || showTitle ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_index2.default, {
    children: [showTitle ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_skeletonParagraph.default, {
      theme: theme,
      active: active,
      rows: 1,
      widths: titleWidths
    }) : null, showParagraph ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_skeletonParagraph.default, {
      theme: theme,
      ...paragraphOption,
      active: paragraphActive
    }) : null]
  }) : null;
  const nodeJSX = showAvatar ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    style: STYLES.skeleton,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: STYLES.avatar,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_skeletonAvatar.default, {
        theme: theme,
        ...avatarOption,
        active: !(0, _isNil.default)(avatarOption.active) ? avatarOption.active : active
      })
    }), !(0, _isNil.default)(ctxJSX) ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: STYLES.ctx,
      children: ctxJSX
    }) : null]
  }) : ctxJSX;
  return loading ? nodeJSX : children;
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Skeleton);
//# sourceMappingURL=skeleton.js.map