"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _groupBy = _interopRequireDefault(require("lodash/groupBy"));
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _omit = _interopRequireDefault(require("lodash/omit"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _cell = _interopRequireDefault(require("../cell/cell.js"));
var _index = require("../hooks/index.js");
var _useStateUpdate = _interopRequireDefault(require("../hooks/useStateUpdate.js"));
var _index2 = _interopRequireDefault(require("../loading/index.js"));
var _index3 = _interopRequireDefault(require("../locale/index.js"));
var _popup = _interopRequireDefault(require("../popup/popup.js"));
var _popupHeader = _interopRequireDefault(require("../popup/popup-header.js"));
var _index4 = _interopRequireDefault(require("../theme/index.js"));
var _line = _interopRequireDefault(require("./line.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const defaultLoading = /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.default, {
  vertical: true
});
function StepSelector({
  theme,
  title,
  safeAreaInsetTop,
  round = true,
  onPressClose,
  request,
  loading = defaultLoading,
  ...resetProps
}) {
  const safeHeight = (0, _index.useSafeHeight)({
    top: safeAreaInsetTop
  });
  const locale = _index3.default.useLocale().StepSelector;
  const [CV, STYLES] = _index4.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const requestPersistFn = (0, _index.usePersistFn)(request);
  const ScrollViewRef = (0, _react.useRef)(null);
  const [value, onChange] = (0, _index.useControllableValue)(resetProps, {
    defaultValue: []
  });
  const [state, setState] = (0, _useStateUpdate.default)({
    index: 0,
    selected: [],
    loading: false,
    responseData: []
  });
  const responseDataRef = (0, _react.useRef)({});
  const onPressRef = (0, _react.useRef)(false);
  const fetchOption = (0, _react.useCallback)(async (parentId, index) => {
    const c = responseDataRef.current[`${parentId}`];
    if (c) {
      return c;
    }

    // 请求
    const data = await requestPersistFn(parentId, index);
    responseDataRef.current[`${parentId}`] = data;
    return data;
  }, [requestPersistFn]);
  const optionScrollToTop = (0, _react.useCallback)(() => {
    ScrollViewRef.current?.scrollTo({
      x: 0,
      y: 0,
      animated: false
    });
  }, []);
  (0, _react.useEffect)(() => {
    // 构建已选的数据
    if (resetProps.visible) {
      setState({
        loading: true
      });
      const _value = [...value, null];
      Promise.all(_value.map((_, index) => {
        return fetchOption(value[index - 1], index);
      })).then(datas => {
        const isEnd = !datas[datas.length - 1].options.length;
        const __value = isEnd ? [...value] : _value;
        const selected = __value.map((v, index) => {
          const opts = datas[index].options;
          // eslint-disable-next-line max-nested-callbacks
          const vIndex = opts.findIndex(op => op.value === v);
          return opts[vIndex];
        }).filter(v => !(0, _isNil.default)(v));
        setState({
          loading: false,
          index: __value.length - 1,
          responseData: datas,
          selected: selected
        });
        if (datas[datas.length - 1].options.length) {
          optionScrollToTop();
        }
        if (isEnd && onPressRef.current) {
          onPressRef.current = false;
          onChange(value, selected, true);
        }
      });
    }
  }, [resetProps.visible, fetchOption, value, optionScrollToTop, onChange]);
  const {
    placeholder,
    options,
    groupOption
  } = (0, _react.useMemo)(() => {
    const d = state.responseData[state.index] || {
      options: [],
      placeholder: ''
    };
    const _groupOption = (0, _groupBy.default)(d.options, item => item.index);
    return {
      placeholder: d.placeholder,
      options: d.options,
      groupOption: Object.keys(_groupOption).sort().map(key => {
        return _groupOption[key];
      })
    };
  }, [state.index, state.responseData]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_popup.default, {
    ...(0, _omit.default)(resetProps, ['value', 'defaultValue', 'onChange']),
    position: "bottom",
    round: round,
    safeAreaInsetBottom: true,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: {
        height: safeHeight
      },
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_popupHeader.default, {
        title: title ?? locale.title,
        onClose: onPressClose
      }), state.selected.map((item, index) => {
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_cell.default, {
          innerStyle: STYLES.selected_cell,
          title: item?.label || state.responseData[index].placeholder,
          titleExtra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_line.default, {
            index: index,
            total: state.selected.length,
            active: !!item?.label
          }),
          titleTextStyle: [STYLES.selected_cell_title_text, index === state.index && item?.label ? STYLES.option_text_active : null],
          isLink: true,
          disabled: state.loading,
          divider: index === state.selected.length - 1,
          onPress: () => {
            setState({
              index
            });
            optionScrollToTop();
          }
        }, `${item?.value}`);
      }), options.length && placeholder ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_cell.default, {
        titleTextStyle: STYLES.placeholder_text,
        title: placeholder,
        divider: false
      }) : null, state.loading && value.length === 0 ? loading : null, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.ScrollView, {
        bounces: false,
        ref: ScrollViewRef,
        children: groupOption.map(group => {
          return group.map((item, itemIndex) => {
            const selected = state.selected[state.index];
            const isActive = item.value === selected?.value;
            return /*#__PURE__*/(0, _jsxRuntime.jsx)(_cell.default, {
              disabled: state.loading,
              titleExtra: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
                style: STYLES.option_index_text,
                children: itemIndex === 0 ? item.index : null
              }),
              title: item.label,
              titleTextStyle: isActive ? STYLES.option_text_active : null,
              valueExtra: isActive ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.SuccessOutline, {
                color: CV.step_selector_active_color
              }) : null,
              divider: false,
              onPress: () => {
                // 根据当前的 index 处理数据
                const sliceEnd = state.index;
                const newValue = value.slice(0, sliceEnd);
                const option = newValue.map((v, index) => {
                  const opts = state.responseData[index].options;
                  // eslint-disable-next-line max-nested-callbacks
                  const vIndex = opts.findIndex(op => op.value === v);
                  return opts[vIndex];
                });
                onChange([...newValue, item.value], [...option, item]);
                onPressRef.current = true;
              }
            }, `${item.value}`);
          });
        })
      })]
    })
  });
}
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(StepSelector);
//# sourceMappingURL=step-selector.js.map