"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../helpers/index.js");
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _context = require("./context.js");
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/** Step */const Step = ({
  status,
  icon,
  index,
  title,
  theme
}) => {
  const {
    current,
    data
  } = (0, _react.useContext)(_context.StepsContext);
  const [CV, STYLES] = _index2.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const windowWidth = _reactNative.Dimensions.get('window').width;
  const stepWidth = windowWidth / _context.maxSteps;
  const [elementCount, setElementCount] = (0, _react.useState)(0);
  let resIcon = null;
  let resStatus = status ? status : current >= index ? 'finish' : 'wait';
  let titleStyle = null;
  switch (resStatus) {
    case 'finish':
      resIcon = /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: STYLES.dotActive,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.SuccessOutline, {
          color: CV.steps_background_color,
          size: CV.steps_icon_success_active_size
        })
      });
      // resIcon = <StepSuccess style={STYLES.dotActive} />
      titleStyle = STYLES.activeTitleText;
      break;
    case 'wait':
      resIcon = /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: STYLES.dot
      });
      titleStyle = STYLES.titleText;
      break;
    default:
      break;
  }
  if (!(0, _isNil.default)(icon)) {
    resIcon = icon;
  }
  (0, _react.useEffect)(() => {
    setElementCount(data?.length || 0);
  }, [data?.length]);
  const isFirst = index === 0;
  const isLast = index === elementCount - 1;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    style: [STYLES.stepWrap, {
      width: stepWidth
    }],
    children: [!isFirst && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: [STYLES.line, current < index ? {
        backgroundColor: CV.steps_line_normal_color
      } : {},
      // eslint-disable-next-line react-native/no-inline-styles
      {
        left: 0,
        right: '50%'
      }]
    }), !isLast && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: [STYLES.line, current <= index ? {
        backgroundColor: CV.steps_line_normal_color
      } : {},
      // eslint-disable-next-line react-native/no-inline-styles
      {
        left: '50%',
        right: 0
      }]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      style: STYLES.stepIconWrap,
      children: resIcon
    }), (0, _index.renderTextLikeJSX)(title, titleStyle)]
  });
};
var _default = exports.default = Step;
//# sourceMappingURL=step.js.map