"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../theme/index.js"));
var _context = require("./context.js");
var _step = _interopRequireDefault(require("./step.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Steps = ({
  current,
  data,
  style,
  theme
}) => {
  const [, STYLES] = _index.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const ctx = (0, _react.useMemo)(() => ({
    current,
    data
  }), [current, data]);
  const scrollRef = (0, _react.useRef)(null);
  const setScrollDistance = width => {
    if (scrollRef.current && data && data.length > _context.maxSteps) {
      scrollRef.current.scrollTo({
        x: width / data.length * (current - 1 > 0 ? current - 1 : 0),
        y: 0
      });
    }
  };
  const inner = data && data.length > 0 ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: [STYLES.stepsBox, style],
    onLayout: e => {
      setScrollDistance(e?.nativeEvent?.layout?.width);
    },
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_context.StepsContext.Provider, {
      value: ctx,
      children: data?.map((v, i) => {
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_step.default, {
          index: i,
          theme: theme,
          ...v
        }, i);
      })
    })
  }) : null;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: STYLES.outWrap,
    children: data && data.length > _context.maxSteps ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.ScrollView, {
      style: STYLES.scrollViewBox,
      horizontal: true,
      ref: scrollRef,
      children: inner
    }) : inner
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Steps);
//# sourceMappingURL=steps.js.map