"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _index = _interopRequireDefault(require("../divider/index.js"));
var _index2 = require("../helpers/index.js");
var _index3 = require("../hooks/index.js");
var _index4 = _interopRequireDefault(require("../tab-bar/index.js"));
var _tabView = _interopRequireDefault(require("./tab-view.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const parseTabList = children => {
  return (0, _index2.childrenToArray)(children).map(node => {
    if (/*#__PURE__*/(0, _react.isValidElement)(node)) {
      const key = node.key !== undefined ? String(node.key) : undefined;
      return {
        // @ts-ignore
        key,
        ...node.props,
        node
      };
    }
    return null;
  }).filter(tab => tab);
};
const Tabs = ({
  children,
  tabBarStyle,
  tabBarHeight,
  tabBarBackgroundColor,
  divider,
  dividerColor,
  ...restProps
}) => {
  const [_options, _tabs] = (0, _react.useMemo)(() => {
    const tabs = parseTabList(children);
    const options = tabs.map(t => ({
      value: t.key,
      label: t.tab,
      badge: t.badge
    }));
    return [options, tabs];
  }, [children]);
  const [value, onChange] = (0, _index3.useControllableValue)(restProps, {
    valuePropName: 'activeKey',
    defaultValuePropName: 'defaultActiveKey',
    defaultValue: _options[0]?.value
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index4.default, {
      ...restProps,
      style: tabBarStyle,
      height: tabBarHeight,
      backgroundColor: tabBarBackgroundColor,
      indicator: true,
      divider: false,
      safeAreaInsetBottom: false,
      keyboardShowNotRender: false,
      hidden: false,
      value: value,
      options: _options,
      onChange: onChange
    }), divider ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.default, {
      color: dividerColor
    }) : null, _tabs.map(t => {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_tabView.default, {
        lazyRender: t.node.props.lazyRender,
        active: t.key === value,
        children: t.node
      }, t.key);
    })]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Tabs);
//# sourceMappingURL=tabs.js.map