"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _color = _interopRequireDefault(require("color"));
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Tag 标签
 */const Tag = ({
  children,
  style,
  theme,
  innerStyle,
  closable = false,
  onClose,
  size = 'm',
  type = 'primary',
  visible = true,
  closeIcon,
  icon,
  color,
  textColor,
  hairline,
  ...restProps
}) => {
  const [CV, STYLES] = _index.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const mainColor = !(0, _isNil.default)(color) ? color : CV.tag_primary_color;
  const {
    innerTypeStyle,
    textTypeStyle
  } = (0, _react.useMemo)(() => {
    const tempInnerStyle = {};
    const tempTextStyle = {};
    switch (type) {
      case 'primary':
        {
          tempInnerStyle.backgroundColor = mainColor;
          tempInnerStyle.borderColor = mainColor;
          tempTextStyle.color = CV.tag_text_color;
          break;
        }
      case 'ghost':
        {
          tempInnerStyle.backgroundColor = CV.tag_ghost_background_color;
          tempInnerStyle.borderColor = mainColor;
          tempInnerStyle.borderWidth = hairline ? _reactNative.StyleSheet.hairlineWidth : 1;
          tempTextStyle.color = mainColor;
          break;
        }
      case 'hazy':
        {
          const hazyColor = (0, _color.default)(mainColor).lightness(CV.tag_hazy_lightness).hex();
          tempInnerStyle.backgroundColor = hazyColor;
          tempInnerStyle.borderColor = hazyColor;
          tempTextStyle.color = mainColor;
          break;
        }
      default:
        break;
    }
    return {
      innerTypeStyle: tempInnerStyle,
      textTypeStyle: tempTextStyle
    };
  }, [CV.tag_text_color, CV.tag_ghost_background_color, CV.tag_hazy_lightness, hairline, type, mainColor]);
  const {
    innerSizeStyle,
    textSizeStyle
  } = (0, _react.useMemo)(() => {
    const tempInnerStyle = STYLES[`tag_inner_${size}`];
    const tempTextStyle = STYLES[`tag_text_${size}`];
    return {
      innerSizeStyle: tempInnerStyle,
      textSizeStyle: tempTextStyle
    };
  }, [STYLES, size]);
  const textStyle = _reactNative.StyleSheet.flatten([/** 类型样式 */
  textTypeStyle, textSizeStyle, /** 外部样式 */
  !(0, _isNil.default)(textColor) && {
    color: textColor
  }]);

  // 关闭的图标
  const renderCloseIcon = () => {
    if (closable) {
      return closeIcon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
        onPress: onClose,
        children: closeIcon
      }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.CrossOutline, {
        onPress: onClose,
        size: CV[`tag_${size}_close_icon`],
        color: textStyle.color
      });
    }
    return null;
  };
  if (visible) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      ...restProps,
      style: [STYLES.tag, style],
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
        style: [/** 类型样式 */
        STYLES.tag_inner, innerTypeStyle, innerSizeStyle, innerStyle],
        children: [icon, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
          style: textStyle,
          children: children
        }), renderCloseIcon()]
      })
    });
  }
  return null;
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Tag);
//# sourceMappingURL=tag.js.map