"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useThemeTokens = exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _useOriginalDeepCopy = _interopRequireDefault(require("../hooks/useOriginalDeepCopy.js"));
var _tokensMix = _interopRequireDefault(require("./tokens-mix.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ThemeTokensContext = /*#__PURE__*/(0, _react.createContext)(_tokensMix.default);
const useThemeTokens = () => (0, _react.useContext)(ThemeTokensContext);
exports.useThemeTokens = useThemeTokens;
const ThemeProvider = ({
  children,
  theme
}) => {
  const themeCopy = (0, _useOriginalDeepCopy.default)(theme);
  const state = (0, _react.useMemo)(() => ({
    ..._tokensMix.default,
    ...themeCopy
  }), [themeCopy]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(ThemeTokensContext.Provider, {
    value: state,
    children: children
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(ThemeProvider);
//# sourceMappingURL=theme.js.map