"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStyle = void 0;
var _react = require("react");
var _useOriginalDeepCopy = _interopRequireDefault(require("../hooks/useOriginalDeepCopy.js"));
var _createStyle = require("./create-style.js");
var _createVar = require("./create-var.js");
var _theme = require("./theme.js");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const useStyle = ({
  theme,
  varCreator,
  styleCreator
}) => {
  const TOKENS = (0, _theme.useThemeTokens)();
  const cv = (0, _createVar.createVar)(TOKENS, varCreator);
  const cvMerge = (0, _useOriginalDeepCopy.default)({
    ...cv,
    ...theme
  });
  const styles = (0, _react.useMemo)(() => {
    if (styleCreator) {
      if (theme) {
        return styleCreator(cvMerge, TOKENS);
      }
      return (0, _createStyle.createStyle)(cv, styleCreator, TOKENS);
    }
    // eslint-disable-next-line @typescript-eslint/consistent-type-assertions
    return {};
  }, [TOKENS, cv, cvMerge, styleCreator, theme]);
  return [cvMerge, styles, TOKENS];
};
exports.useStyle = useStyle;
//# sourceMappingURL=useStyle.js.map