"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _style = require("../button/style.js");
var _loadingCircular = _interopRequireDefault(require("../loading/loading-circular.js"));
var _index = _interopRequireDefault(require("../locale/index.js"));
var _index2 = _interopRequireDefault(require("../theme/index.js"));
var _style2 = require("./style.js");
var _styleImage = require("./style.image.js");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * UploaderImage 文件上传的缩略图
 */const UploaderImage = ({
  theme,
  filepath,
  status = 'done',
  imageComponent: ImageComponent = _reactNative.Image,
  deletable = true,
  size,
  marginRight,
  marginBottom,
  onPress,
  onPressDelete,
  isUpload,
  children
}) => {
  const locale = _index.default.useLocale().UploaderImage;
  const [CV, STYLES] = _index2.default.useStyle({
    varCreator: _style2.varCreator,
    styleCreator: _styleImage.styleCreator,
    theme
  });
  const [CV_BUTTON] = _index2.default.useStyle({
    varCreator: _style.varCreator
  });
  const customSizeStyle = (0, _react.useMemo)(() => ({
    width: size,
    height: size
  }), [size]);
  const customStyle = (0, _react.useMemo)(() => ({
    width: size,
    height: size,
    marginRight: marginRight,
    marginBottom: marginBottom
  }), [size, marginRight, marginBottom]);
  const canPress = isUpload || !!filepath && (status === 'done' || status === 'error');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
    style: [STYLES.image, customStyle],
    onPress: canPress ? onPress : undefined,
    activeOpacity: canPress ? CV_BUTTON.button_active_opacity : 1,
    children: !(0, _isNil.default)(children) ? children : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(ImageComponent, {
        style: customSizeStyle,
        source: {
          uri: filepath
        }
      }), deletable && status !== 'loading' ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.CrossOutline, {
        size: CV.uploader_image_delete_size - 4,
        color: "#fff",
        onPress: onPressDelete,
        style: STYLES.delete
      }) : null, status === 'loading' ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
        style: STYLES.mask,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_loadingCircular.default, {
          color: "#fff",
          size: 20
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
          style: STYLES.mask_text,
          children: locale.labelIng
        })]
      }) : null, status === 'error' ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
        style: STYLES.mask,
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.CrossCircleOutline, {
          color: "#fff",
          size: 20
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
          style: STYLES.mask_text,
          children: locale.labelFail
        })]
      }) : null]
    })
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(UploaderImage);
//# sourceMappingURL=uploader-image.js.map