"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../hooks/index.js");
var _index2 = _interopRequireDefault(require("../locale/index.js"));
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _uploaderImage = _interopRequireDefault(require("./uploader-image.js"));
var _useImageLayout = _interopRequireDefault(require("./useImageLayout.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const UploaderRegular = ({
  theme,
  list,
  imageComponent = _reactNative.Image,
  colCount = 4,
  colGap = 'm',
  onPressImage,
  onPressDelete,
  onPressError,
  count,
  onPressUpload,
  deletable = true,
  style,
  onLayout,
  ...restProps
}) => {
  const locale = _index2.default.useLocale().Uploader;
  const [CV, STYLES] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const [onLayoutWrapper, getSizeImage, getMarginImage] = (0, _useImageLayout.default)();
  const onLayoutView = (0, _index.usePersistFn)(e => {
    onLayoutWrapper(e);
    onLayout?.(e);
  });
  const showList = (0, _react.useMemo)(() => {
    return (typeof count === 'number' ? new Array(count).fill(null) : count).map((item, index) => {
      const _i = item || {};
      const text = _i.text ?? locale.uploadText;
      const icon = _i.icon || /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.PlusOutline, {
        color: CV.uploader_upload_text_color,
        pointerEvents: "none"
      });
      const data = list[index];
      return {
        text,
        icon,
        data
      };
    });
  }, [CV.uploader_upload_text_color, count, list, locale.uploadText]);
  const genOnPressDelete = (item, index) => () => {
    onPressDelete?.(item, index, list);
  };
  const genOnPressImage = (item, index) => () => {
    const onPressCallback = item.status === 'error' ? onPressError : onPressImage;
    onPressCallback?.(item, index, list);
  };
  const genOnPressUpload = index => () => {
    onPressUpload?.(index);
  };
  const imageGap = typeof colGap === 'number' ? colGap : CV[`uploader_image_gap_${colGap}`];
  const imageSize = getSizeImage(colCount, imageGap);
  const total = showList.length;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...restProps,
    style: style ? [STYLES.uploader, style] : STYLES.uploader,
    onLayout: onLayoutView,
    children: showList.map((item, index) => {
      if (item.data) {
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uploaderImage.default, {
          filepath: item.data.filepath,
          status: item.data.status,
          imageComponent: imageComponent,
          deletable: (0, _isNil.default)(item.data?.deletable) ? deletable : item.data.deletable,
          size: imageSize,
          marginRight: getMarginImage(total, colCount, index).marginRight ? imageGap : undefined,
          marginBottom: getMarginImage(total, colCount, index).marginBottom ? imageGap : undefined,
          onPress: genOnPressImage(item.data, index),
          onPressDelete: genOnPressDelete(item.data, index)
        }, item.data?.key || index);
      }
      return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_uploaderImage.default, {
        isUpload: true,
        size: imageSize,
        marginRight: getMarginImage(total, colCount, index).marginRight ? imageGap : undefined,
        marginBottom: getMarginImage(total, colCount, index).marginBottom ? imageGap : undefined,
        onPress: genOnPressUpload(index),
        children: [item.icon, /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
          style: STYLES.upload_text,
          children: item.text
        })]
      }, index);
    })
  });
};
var _default = exports.default = UploaderRegular;
//# sourceMappingURL=uploader-regular.js.map