"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _iconsReactNative = require("@fruits-chain/icons-react-native");
var _isNil = _interopRequireDefault(require("lodash/isNil"));
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../hooks/index.js");
var _index2 = _interopRequireDefault(require("../locale/index.js"));
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _uploaderImage = _interopRequireDefault(require("./uploader-image.js"));
var _useImageLayout = _interopRequireDefault(require("./useImageLayout.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
/**
 * Uploader 文件上传
 */const Uploader = ({
  theme,
  list,
  maxCount = Number.MAX_SAFE_INTEGER,
  imageComponent = _reactNative.Image,
  deletable = true,
  showUpload = true,
  uploadText,
  uploadIcon,
  onPressUpload,
  colCount = 4,
  colGap = 'm',
  onPressImage,
  onPressDelete,
  onPressError,
  style,
  onLayout,
  ...restProps
}) => {
  const locale = _index2.default.useLocale().Uploader;
  const [CV, STYLES] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    styleCreator: _style.styleCreator,
    theme
  });
  const [onLayoutWrapper, getSizeImage, getMarginImage] = (0, _useImageLayout.default)();
  const onLayoutView = (0, _index.usePersistFn)(e => {
    onLayoutWrapper(e);
    onLayout?.(e);
  });
  const onPressUploadPersistFn = (0, _index.usePersistFn)(() => {
    onPressUpload?.();
  });
  const genOnPressDelete = (item, index) => () => {
    onPressDelete?.(item, index, list);
  };
  const genOnPressImage = (item, index) => () => {
    const onPressCallback = item.status === 'error' ? onPressError : onPressImage;
    onPressCallback?.(item, index, list);
  };
  const showUploadButton = showUpload && list.length < maxCount;
  const imageGap = typeof colGap === 'number' ? colGap : CV[`uploader_image_gap_${colGap}`];
  const imageSize = getSizeImage(colCount, imageGap);
  const total = (showUploadButton ? 1 : 0) + list.length;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    ...restProps,
    style: style ? [STYLES.uploader, style] : STYLES.uploader,
    onLayout: onLayoutView,
    children: [list.map((item, index) => {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uploaderImage.default, {
        filepath: item.filepath,
        status: item.status,
        imageComponent: imageComponent,
        deletable: (0, _isNil.default)(item.deletable) ? deletable : item.deletable,
        size: imageSize,
        marginRight: getMarginImage(total, colCount, index).marginRight ? imageGap : undefined,
        marginBottom: getMarginImage(total, colCount, index).marginBottom ? imageGap : undefined,
        onPress: genOnPressImage(item, index),
        onPressDelete: genOnPressDelete(item, index)
      }, item.key);
    }), showUpload && list.length < maxCount ? /*#__PURE__*/(0, _jsxRuntime.jsxs)(_uploaderImage.default, {
      isUpload: true,
      size: imageSize,
      marginBottom: getMarginImage(total, colCount, total - 1).marginBottom ? imageGap : undefined,
      onPress: onPressUploadPersistFn,
      children: [/*#__PURE__*/(0, _react.isValidElement)(uploadIcon) ? uploadIcon : /*#__PURE__*/(0, _jsxRuntime.jsx)(_iconsReactNative.PlusOutline, {
        color: CV.uploader_upload_text_color,
        pointerEvents: "none"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        style: STYLES.upload_text,
        children: uploadText ?? locale.uploadText
      })]
    }) : null]
  });
};
var _default = exports.default = Uploader;
//# sourceMappingURL=uploader.js.map