"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _index = require("../helpers/index.js");
var _index2 = require("../hooks/index.js");
var _index3 = _interopRequireDefault(require("../theme/index.js"));
var _style = require("./style.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const STYLES = _reactNative.StyleSheet.create({
  water_mark: {
    flex: 1,
    width: '100%',
    overflow: 'hidden'
  },
  text_row: {
    alignContent: 'center'
  },
  texts: {
    position: 'absolute',
    left: 0,
    right: 0,
    top: 0,
    bottom: 0,
    flexDirection: 'row'
  }
});
const WaterMark = ({
  theme,
  text,
  color,
  fontSize,
  opacity,
  textWidth = 64,
  textHeight = 64,
  rotate = -45,
  foreground = false,
  children,
  style,
  onLayout,
  ...restProps
}) => {
  const [CV] = _index3.default.useStyle({
    varCreator: _style.varCreator,
    theme
  });
  const [measure, setMeasure] = (0, _react.useState)({
    width: 0,
    height: 0
  });
  const _color = (0, _index.getDefaultValue)(color, CV.water_mark_text_color);
  const _fontSize = (0, _index.getDefaultValue)(fontSize, CV.water_mark_text_font_size);
  const _opacity = (0, _index.getDefaultValue)(opacity, CV.water_mark_text_opacity);
  const onLayoutWrapper = (0, _index2.usePersistFn)(e => {
    onLayout?.(e);
    setMeasure(e.nativeEvent.layout);
  });
  const renderMark = () => {
    if (measure.height === 0 || measure.width === 0 || textWidth === 0 || textHeight === 0) {
      return null;
    }
    const texts = [];
    const x = Math.ceil(measure.width / textWidth);
    const y = Math.ceil(measure.height / textHeight);
    for (let index0 = 0; index0 < x * y; index0++) {
      const ts = [];
      for (let index1 = 0; index1 < y; index1++) {
        ts.push(/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
          // eslint-disable-next-line react-native/no-inline-styles
          style: {
            color: _color,
            fontSize: _fontSize,
            width: textWidth,
            height: textHeight,
            lineHeight: textHeight,
            textAlign: 'center',
            opacity: _opacity,
            transform: [{
              rotateZ: `${rotate}deg`
            }]
          },
          children: text
        }, `${index0}_${index1}`));
      }
      texts.push(/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
        style: STYLES.text_row,
        children: ts
      }, index0));
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
      pointerEvents: "none",
      style: STYLES.texts,
      children: texts
    });
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
    ...restProps,
    onLayout: onLayoutWrapper,
    style: style ? [STYLES.water_mark, style] : STYLES.water_mark,
    children: [!foreground ? renderMark() : null, children, foreground ? renderMark() : null]
  });
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(WaterMark);
//# sourceMappingURL=water-mark.js.map