"use strict";

import isNil from 'lodash/isNil';
import React, { memo } from 'react';
import { View } from 'react-native';
import Space from "../space/index.js";
import Theme from "../theme/index.js";
import ButtonBar from "./button-bar.js";
import { varCreator } from "./style.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const customButtonBarStyle = {
  flexDirection: 'row',
  alignItems: 'center'
};
const customChildrenStyle = {
  flex: 1
};
const ButtonBarConfirm = ({
  children,
  cancel,
  ...restProps
}) => {
  const TOKENS = Theme.useThemeTokens();
  const CV = Theme.createVar(TOKENS, varCreator);
  return /*#__PURE__*/_jsxs(ButtonBar, {
    ...restProps,
    alone: true,
    style: customButtonBarStyle,
    children: [!isNil(cancel) ? /*#__PURE__*/_jsx(Space, {
      direction: "horizontal",
      tail: true,
      align: "center",
      minWidth: CV.button_bar_button_min_width,
      children: cancel
    }) : null, /*#__PURE__*/_jsx(View, {
      style: customChildrenStyle,
      children: children
    })]
  });
};
export default /*#__PURE__*/memo(ButtonBarConfirm);
//# sourceMappingURL=button-bar-confirm.js.map