"use strict";

import isBoolean from 'lodash/isBoolean';
import isNumber from 'lodash/isNumber';
import React from 'react';
import Blank from "../blank/index.js";
import { getDefaultValue } from "../helpers/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
const CardBody = ({
  padding = true,
  ...restProps
}) => {
  const config = isBoolean(padding) || isNumber(padding) ? {
    left: padding,
    right: padding,
    top: padding,
    bottom: padding
  } : {
    left: getDefaultValue(padding.left, true),
    right: getDefaultValue(padding.right, true),
    top: getDefaultValue(padding.top, true),
    bottom: getDefaultValue(padding.bottom, true)
  };
  return /*#__PURE__*/_jsx(Blank, {
    ...restProps,
    ...config,
    type: "margin"
  });
};
export default CardBody;
//# sourceMappingURL=card-body.js.map