"use strict";

import React from 'react';
import Portal from "../portal/index.js";
import DatePickerRangeMethodView from "./date-picker-range-method.js";
import DatePickerRangeViewView from "./date-picker-range-view.js";
import DatePickerSingleMethodView from "./date-picker-single-method.js";
import { jsx as _jsx } from "react/jsx-runtime";
const DatePicker = opts => {
  return new Promise(resolve => {
    const key = Portal.add(/*#__PURE__*/_jsx(DatePickerSingleMethodView, {
      ...opts,
      onCancel: v => {
        opts.onCancel?.(v);
        resolve({
          action: 'cancel',
          value: v
        });
      },
      onConfirm: v => {
        opts.onConfirm?.(v);
        resolve({
          action: 'confirm',
          value: v
        });
      },
      onPressOverlay: v => {
        opts.onPressOverlay?.(v);
        resolve({
          action: 'overlay',
          value: v
        });
      },
      onClosed: () => {
        opts.onClosed?.();
        Portal.remove(key);
      }
    }));
  });
};
DatePicker.RangeView = DatePickerRangeViewView;
DatePicker.range = opts => {
  return new Promise(resolve => {
    const key = Portal.add(/*#__PURE__*/_jsx(DatePickerRangeMethodView, {
      ...opts,
      onCancel: v => {
        opts.onCancel?.(v);
        resolve({
          action: 'cancel',
          values: v
        });
      },
      onConfirm: v => {
        opts.onConfirm?.(v);
        resolve({
          action: 'confirm',
          values: v
        });
      },
      onPressOverlay: v => {
        opts.onPressOverlay?.(v);
        resolve({
          action: 'overlay',
          values: v
        });
      },
      onClear: v => {
        opts.onClear?.(v);
        resolve({
          action: 'clear',
          values: v
        });
      },
      onClosed: () => {
        opts.onClosed?.();
        Portal.remove(key);
      }
    }));
  });
};
export default DatePicker;
//# sourceMappingURL=index.js.map