"use strict";

import React from 'react';
import Portal from "../portal/index.js";
import Dialog from "./dialog.js";
import DialogInput from "./dialog-input.js";
import DialogKeyboard from "./dialog-keyboard.js";
import DialogMethod from "./dialog-method.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const Instance = opts => {
  return new Promise(resolve => {
    const key = Portal.add(/*#__PURE__*/_jsx(DialogMethod, {
      ...opts,
      onClosed: () => {
        Portal.remove(key);
        opts.onClosed?.();
      },
      onResponse: action => {
        resolve(action);
      }
    }));
  });
};
export const confirm = options => Instance({
  showCancelButton: true,
  ...options
});
export const input = opts => {
  const key = Portal.add(/*#__PURE__*/_jsx(DialogInput, {
    ...opts,
    onClosed: () => {
      Portal.remove(key);
      opts.onClosed?.();
    }
  }));
};
export const Component = props => /*#__PURE__*/_jsx(Portal, {
  children: /*#__PURE__*/_jsx(Dialog, {
    ...props
  })
});
export const DialogComponent = Dialog;
export const Keyboard = props => /*#__PURE__*/_jsx(Portal, {
  children: /*#__PURE__*/_jsx(DialogKeyboard, {
    ...props
  })
});
export const KeyboardComponent = DialogKeyboard;
//# sourceMappingURL=dialog-instance.js.map