"use strict";

import React, { memo } from 'react';
import Cell from "../cell/index.js";
import CheckboxGroup from "../checkbox/checkbox-group.js";
import Theme from "../theme/index.js";
import { pickCellProps } from "./helper.js";
import { varCreator } from "./style.js";
import { jsx as _jsx } from "react/jsx-runtime";
const FieldCheckbox = restProps => {
  const TOKENS = Theme.useThemeTokens();
  const CV = Theme.createVar(TOKENS, varCreator);
  const {
    cellProps,
    otherProps
  } = pickCellProps(restProps);
  return /*#__PURE__*/_jsx(Cell, {
    ...cellProps,
    center: !restProps.vertical,
    value: /*#__PURE__*/_jsx(CheckboxGroup, {
      ...otherProps,
      direction: "horizontal",
      gapHorizontal: CV.field_checkbox_gap,
      justify: restProps.vertical ? 'flex-start' : 'flex-end',
      align: "center"
    })
  });
};
export default /*#__PURE__*/memo(FieldCheckbox);
//# sourceMappingURL=field-checkbox.js.map