"use strict";

import React, { memo } from 'react';
import Cell from "../cell/index.js";
import NumberInput from "../number-input/index.js";
import Theme from "../theme/index.js";
import { pickCellProps } from "./helper.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Field 输入框
 * @description 表单中的输入框组件。
 */
const FieldNumberInput = ({
  // TextInput 属性
  textAlign = 'right',
  textInputStyle,
  textInputBordered,
  ...restProps
}) => {
  const {
    cellProps,
    otherProps
  } = pickCellProps(restProps);
  if (cellProps.vertical) {
    textAlign = 'left';
  }
  const TOKENS = Theme.useThemeTokens();
  return /*#__PURE__*/_jsx(Cell, {
    ...cellProps,
    valueStyle: [cellProps.valueStyle, cellProps.vertical ? {
      marginTop: TOKENS.space_2
    } : null],
    value: /*#__PURE__*/_jsx(NumberInput, {
      ...otherProps,
      style: textInputStyle,
      bordered: textInputBordered,
      textAlign: textAlign
    })
  });
};
export default /*#__PURE__*/memo(FieldNumberInput);
//# sourceMappingURL=field-number-input.js.map