"use strict";

import React, { memo } from 'react';
import Cell from "../cell/index.js";
import PasswordInput from "../password-input/index.js";
import Theme from "../theme/index.js";
import { pickCellProps } from "./helper.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Field 密码输入
 * @description 表单中的密码输入组件。
 */
const FieldPasswordInput = ({
  // TextInput 属性
  textAlign = 'right',
  textInputStyle,
  textInputBordered,
  ...restProps
}) => {
  const {
    cellProps,
    otherProps
  } = pickCellProps(restProps);
  if (cellProps.vertical) {
    textAlign = 'left';
  }
  const TOKENS = Theme.useThemeTokens();
  return /*#__PURE__*/_jsx(Cell, {
    ...cellProps,
    valueStyle: [cellProps.vertical ? {
      marginTop: TOKENS.space_2
    } : null, cellProps.valueStyle],
    value: /*#__PURE__*/_jsx(PasswordInput, {
      ...otherProps,
      style: textInputStyle,
      bordered: textInputBordered,
      textAlign: textAlign
    })
  });
};
export default /*#__PURE__*/memo(FieldPasswordInput);
//# sourceMappingURL=field-password.js.map