"use strict";

import React, { memo } from 'react';
import Cell from "../cell/index.js";
import TextInput from "../text-input/index.js";
import Theme from "../theme/index.js";
import { pickCellProps } from "./helper.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Field 输入框
 * @description 表单中的输入框组件。
 * @description TODO 自定义输入项
 * @description TODO 解决多行输入高度没对齐的问题
 */
const FieldTextInput = ({
  // TextInput 属性
  textAlign = 'right',
  type,
  textInputStyle,
  textInputBordered,
  ...restProps
}) => {
  const {
    cellProps,
    otherProps
  } = pickCellProps(restProps);
  if (cellProps.vertical) {
    textAlign = 'left';
    type = 'textarea';
  }
  if (type === 'textarea') {
    textAlign = 'left';
    textInputBordered = true;
    cellProps.vertical = true;
  }
  const TOKENS = Theme.useThemeTokens();
  return /*#__PURE__*/_jsx(Cell, {
    ...cellProps,
    valueStyle: [cellProps.vertical ? {
      marginTop: TOKENS.space_2
    } : null, cellProps.valueStyle],
    value: /*#__PURE__*/_jsx(TextInput, {
      ...otherProps,
      style: textInputStyle,
      type: type,
      bordered: textInputBordered,
      textAlign: textAlign
    })
  });
};
export default /*#__PURE__*/memo(FieldTextInput);
//# sourceMappingURL=field-text-input.js.map