"use strict";

import isNil from 'lodash/isNil';
import React, { useMemo, memo } from 'react';
import Cell from "../cell/index.js";
import { getDefaultValue } from "../helpers/index.js";
import { varCreator as varCreatorTextInput } from "../text-input/style.js";
import Theme from "../theme/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * 输入框 纯文字方式
 */
const FieldText = ({
  placeholder,
  placeholderTextColor,
  value,
  valueTextStyle,
  ...restProps
}) => {
  const hasValue = !isNil(value);
  const text = hasValue ? value : placeholder;
  const TOKENS = Theme.useThemeTokens();
  const CV_TEXT_INPUT = Theme.createVar(TOKENS, varCreatorTextInput);

  // 修正数据
  placeholderTextColor = getDefaultValue(placeholderTextColor, CV_TEXT_INPUT.text_input_placeholder_text_color);
  const valueTextStyles = useMemo(() => {
    return [valueTextStyle, !hasValue ? {
      color: placeholderTextColor
    } : null];
  }, [valueTextStyle, hasValue, placeholderTextColor]);
  return /*#__PURE__*/_jsx(Cell, {
    ...restProps,
    value: text,
    valueTextStyle: valueTextStyles
  });
};
export default /*#__PURE__*/memo(FieldText);
//# sourceMappingURL=field-text.js.map