"use strict";

import isUndefined from 'lodash/isUndefined';
export const pickCellProps = ({
  innerStyle,
  title,
  titleStyle,
  titleTextStyle,
  titleExtra,
  valueStyle,
  valueExtra,
  extra,
  extraTextStyle,
  contentStyle,
  divider,
  dividerLeftGap,
  dividerRightGap,
  isLink,
  onPressLink,
  center,
  arrowDirection,
  required,
  vertical,
  titleTextNumberOfLines,
  style,
  testID,
  ...otherProps
}, defaultProps) => {
  const cellProps = {
    innerStyle,
    title,
    titleStyle,
    titleTextStyle,
    titleExtra,
    valueStyle,
    valueExtra,
    extra,
    extraTextStyle,
    contentStyle,
    divider,
    dividerLeftGap,
    dividerRightGap,
    isLink,
    onPressLink,
    center,
    arrowDirection,
    required,
    vertical,
    titleTextNumberOfLines,
    style,
    testID
  };
  if (defaultProps && typeof defaultProps === 'object') {
    Object.entries(defaultProps).forEach(([key, value]) => {
      if (isUndefined(cellProps[key])) {
        cellProps[key] = value;
      }
    });
  }
  return {
    cellProps,
    otherProps
  };
};
//# sourceMappingURL=helper.js.map