"use strict";

import isUndefined from 'lodash/isUndefined';
import noop from 'lodash/noop';
import { isPromise } from "./typeof.js";
export function callInterceptor(interceptor, {
  args = [],
  done,
  canceled
}) {
  if (interceptor) {
    const returnVal = interceptor.apply(null, args);
    if (isPromise(returnVal)) {
      returnVal.then(value => {
        if (isUndefined(value) || value) {
          done();
        } else if (canceled) {
          canceled();
        }
      }).catch(noop);
    } else if (isUndefined(returnVal) || returnVal) {
      done();
    } else if (canceled) {
      canceled();
    }
  } else {
    done();
  }
}
//# sourceMappingURL=interceptor.js.map