"use strict";

import { useEffect, useRef } from 'react';
const useOriginalCopyFn = (value, equals) => {
  const cache = useRef(value);
  const equalsRef = useRef(equals);
  useEffect(() => {
    equalsRef.current = equals;
  }, [equals]);
  useEffect(() => {
    if (!equalsRef.current(cache.current, value)) {
      cache.current = value;
    }
  }, [value]);
  return equals(cache.current, value) ? cache.current : value;
};
export default useOriginalCopyFn;
//# sourceMappingURL=useOriginalCopyFn.js.map