"use strict";

import React, { useMemo, useContext, createContext, memo } from 'react';
import defaultLocale from "./lang/zh_CN.js";
import { jsx as _jsx } from "react/jsx-runtime";
const LocaleContext = /*#__PURE__*/createContext(defaultLocale);
export const useLocale = () => useContext(LocaleContext);
const LocaleProvider = ({
  children,
  locale
}) => {
  const state = useMemo(() => ({
    ...defaultLocale,
    ...locale
  }), [locale]);
  return /*#__PURE__*/_jsx(LocaleContext.Provider, {
    value: state,
    children: children
  });
};
export default /*#__PURE__*/memo(LocaleProvider);
//# sourceMappingURL=locale.js.map