"use strict";

import React, { createRef } from 'react';
import Portal from "../portal/index.js";
import Notify from "./notify.js";
import NotifyMethod from "./notify-method.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const Instance = options => {
  const opts = typeof options === 'string' ? {
    message: options
  } : options;
  const NotifyRef = /*#__PURE__*/createRef();
  const key = Portal.add(/*#__PURE__*/_jsx(NotifyMethod, {
    ...opts,
    ref: NotifyRef,
    onClosed: () => {
      Portal.remove(key);
      opts.onClosed?.();
    }
  }));
  return {
    close: () => {
      NotifyRef.current?.close();
    },
    setMessage: m => {
      NotifyRef.current?.setMessage(m);
    }
  };
};
export const Component = props => /*#__PURE__*/_jsx(Portal, {
  children: /*#__PURE__*/_jsx(Notify, {
    ...props
  })
});
export const NotifyComponent = Notify;
//# sourceMappingURL=notify-instance.js.map