"use strict";

import React from 'react';
import { attachPropertiesToComponent } from "../helpers/index.js";
import Portal from "../portal/index.js";
import Overlay from "./overlay.js";
import { varCreator } from "./style.js";

/**
 * Overlay 遮罩层
 * @description 创建一个遮罩层，用于强调特定的页面元素，并阻止用户进行其他操作。
 */
import { jsx as _jsx } from "react/jsx-runtime";
const OverlayContainer = props => {
  return /*#__PURE__*/_jsx(Portal, {
    children: /*#__PURE__*/_jsx(Overlay, {
      ...props
    })
  });
};
export default attachPropertiesToComponent(OverlayContainer, {
  varCreator,
  OverlayComponent: Overlay
});
//# sourceMappingURL=index.js.map