"use strict";

import React from 'react';
import Portal from "../portal/index.js";
import Picker from "./picker.js";
import PickerMethod from "./picker-method.js";

/**
 * 选择器
 */
import { jsx as _jsx } from "react/jsx-runtime";
export const Instance = opts => {
  return new Promise(resolve => {
    const key = Portal.add(/*#__PURE__*/_jsx(PickerMethod, {
      ...opts,
      onCancel: (v, c) => {
        opts.onCancel?.(v, c);
        resolve({
          action: 'cancel',
          values: v,
          columns: c
        });
      },
      onConfirm: (v, c) => {
        opts.onConfirm?.(v, c);
        resolve({
          action: 'confirm',
          values: v,
          columns: c
        });
      },
      onPressOverlay: (v, c) => {
        opts.onPressOverlay?.(v, c);
        resolve({
          action: 'overlay',
          values: v,
          columns: c
        });
      },
      onClosed: () => {
        opts.onClosed?.();
        Portal.remove(key);
      }
    }));
  });
};
export const Component = props => {
  return /*#__PURE__*/_jsx(Portal, {
    children: /*#__PURE__*/_jsx(Picker, {
      ...props
    })
  });
};
export const PickerComponent = Picker;
//# sourceMappingURL=picker-instance.js.map