"use strict";

import React, { memo } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { varCreator as varCreatorButton } from "../button/style.js";
import Theme from "../theme/index.js";
import { varCreator, styleCreator } from "./style.js";
import { jsx as _jsx } from "react/jsx-runtime";
const PopoverItem = ({
  children,
  theme,
  value,
  disabled,
  dark,
  style,
  divider = false,
  onSelect
}) => {
  const [, STYLES] = Theme.useStyle({
    varCreator,
    styleCreator,
    theme
  });
  const [CV_BUTTON] = Theme.useStyle({
    varCreator: varCreatorButton
  });
  return /*#__PURE__*/_jsx(TouchableOpacity, {
    activeOpacity: CV_BUTTON.button_active_opacity,
    disabled: disabled,
    onPress: () => {
      if (typeof onSelect === 'function') {
        onSelect(value);
      }
    },
    style: style,
    children: /*#__PURE__*/_jsx(View, {
      style: [STYLES.item_inner, divider ? STYLES.item_inner_divider : null, dark ? STYLES.item_inner_divider_dark : null],
      children: children
    })
  });
};
export default /*#__PURE__*/memo(PopoverItem);
//# sourceMappingURL=popover-item.js.map