"use strict";

import React, { memo } from 'react';
import { Text } from 'react-native';
import Theme from "../theme/index.js";
import PopoverItem from "./popover-item.js";
import { varCreator, styleCreator } from "./style.js";
import { jsx as _jsx } from "react/jsx-runtime";
const PopoverText = ({
  theme,
  text,
  onSelect,
  dark,
  disabled,
  divider = false,
  style,
  ...restProps
}) => {
  const [, STYLES] = Theme.useStyle({
    varCreator,
    styleCreator,
    theme
  });
  return /*#__PURE__*/_jsx(PopoverItem, {
    value: text,
    onSelect: onSelect,
    disabled: disabled,
    divider: divider,
    dark: dark,
    children: /*#__PURE__*/_jsx(Text, {
      ...restProps,
      style: [STYLES.text, dark ? STYLES.text_dark : null, style],
      children: text
    })
  });
};
export default /*#__PURE__*/memo(PopoverText);
//# sourceMappingURL=popover-text.js.map