"use strict";

import React, { memo } from 'react';
import { attachPropertiesToComponent } from "../helpers/index.js";
import Portal from "../portal/index.js";
import Popup from "./popup.js";
import PopupHeader from "./popup-header.js";
import PopupKeyboardShim from "./popup-keyboard-shim.js";
import PopupPage from "./popup-page.js";
import { varCreator, styleCreator } from "./style.js";

/**
 * Popup 弹出层
 * @description 弹出层容器，用于展示弹窗、信息提示等内容，支持多个弹出层叠加展示。
 */
import { jsx as _jsx } from "react/jsx-runtime";
const PopupContainer = props => {
  return /*#__PURE__*/_jsx(Portal, {
    children: /*#__PURE__*/_jsx(Popup, {
      ...props
    })
  });
};
const PopupPageContainer = props => {
  return /*#__PURE__*/_jsx(Portal, {
    children: /*#__PURE__*/_jsx(PopupPage, {
      ...props
    })
  });
};
export default attachPropertiesToComponent(/*#__PURE__*/memo(PopupContainer), {
  varCreator,
  styleCreator,
  PopupComponent: Popup,
  Header: PopupHeader,
  Page: PopupPageContainer,
  PageComponent: PopupPage,
  KeyboardShim: PopupKeyboardShim
});
//# sourceMappingURL=index.js.map