"use strict";

import { CrossOutline } from '@fruits-chain/icons-react-native';
import noop from 'lodash/noop';
import React, { memo } from 'react';
import { usePersistFn } from "../hooks/index.js";
import NavBar from "../nav-bar/index.js";
import Theme from "../theme/index.js";
import { varCreator } from "./style.js";
import { styleCreator } from "./style.header.js";
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const PopupHeader = ({
  theme,
  showClose = true,
  onClose,
  rightExtra,
  ...restProps
}) => {
  const onClosePersistFn = usePersistFn(onClose || noop);
  const [CV, STYLES] = Theme.useStyle({
    varCreator,
    styleCreator,
    theme
  });
  const rightExtraJSX = /*#__PURE__*/_jsxs(_Fragment, {
    children: [rightExtra, showClose ? /*#__PURE__*/_jsx(CrossOutline, {
      style: STYLES.icon,
      color: CV.popup_close_icon_color,
      size: CV.popup_close_icon_size,
      onPress: onClosePersistFn
    }) : null]
  });
  return /*#__PURE__*/_jsx(NavBar, {
    ...restProps,
    rightExtra: rightExtraJSX,
    showBackArrow: false,
    divider: false
  });
};
export default /*#__PURE__*/memo(PopupHeader);
//# sourceMappingURL=popup-header.js.map