"use strict";

import React, { memo } from 'react';
import { useSafeAreaInsets } from 'react-native-safe-area-context';
import { getDefaultValue } from "../helpers/index.js";
import Popup from "./popup.js";
import { jsx as _jsx } from "react/jsx-runtime";
const PopupPage = ({
  safeAreaInsetTop,
  style,
  ...restProps
}) => {
  const insets = useSafeAreaInsets();
  const _safeAreaInsetTop = getDefaultValue(safeAreaInsetTop, insets.top);
  return /*#__PURE__*/_jsx(Popup, {
    ...restProps,
    style: [{
      top: _safeAreaInsetTop
    }, style],
    position: "bottom"
  });
};
export default /*#__PURE__*/memo(PopupPage);
//# sourceMappingURL=popup-page.js.map