"use strict";

/* eslint-disable @typescript-eslint/explicit-member-accessibility */
import React, { PureComponent } from 'react';
import { View, StyleSheet } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Portal host is the component which actually renders all Portals.
 */
export default class PortalManager extends PureComponent {
  state = {
    portals: []
  };
  mount = (key, children) => {
    this.setState(state => ({
      portals: [...state.portals, {
        key,
        children
      }]
    }));
  };
  update = (key, children) => this.setState(state => ({
    portals: state.portals.map(item => {
      if (item.key === key) {
        return {
          ...item,
          children
        };
      }
      return item;
    })
  }));
  unmount = key => this.setState(state => ({
    portals: state.portals.filter(item => item.key !== key)
  }));
  render() {
    return this.state.portals.map(({
      key,
      children
    }) => /*#__PURE__*/_jsx(View, {
      collapsable: false /* Need collapsable=false here to clip the elevations, otherwise they appear above sibling components */,
      pointerEvents: "box-none",
      style: StyleSheet.absoluteFill,
      children: children
    }, key));
  }
}
//# sourceMappingURL=portal-manager.js.map