"use strict";

import React, { memo } from 'react';
import { SafeAreaProvider } from 'react-native-safe-area-context';
import Locale from "../locale/index.js";
import Portal from "../portal/index.js";
import Theme from "../theme/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * 统一的配置
 * 将来 Portal 准备统一的入口，https://github.com/callstack/react-native-paper/blob/master/src/components/Portal/Portal.tsx
 */
const Provider = ({
  children,
  theme,
  locale
}) => {
  return /*#__PURE__*/_jsx(SafeAreaProvider, {
    children: /*#__PURE__*/_jsx(Locale, {
      locale: locale,
      children: /*#__PURE__*/_jsx(Theme, {
        theme: theme,
        children: /*#__PURE__*/_jsx(Portal.Host, {
          children: children
        })
      })
    })
  });
};
export default /*#__PURE__*/memo(Provider);
//# sourceMappingURL=index.js.map