"use strict";

import React, { useMemo, memo } from 'react';
import { Fade } from 'rn-placeholder';
import Theme from "../theme/index.js";
import { varCreator } from "./style.js";
import { jsx as _jsx } from "react/jsx-runtime";
const SkeletonActive = ({
  children,
  theme
}) => {
  const [CV] = Theme.useStyle({
    varCreator,
    theme
  });
  const style = useMemo(() => ({
    backgroundColor: CV.skeleton_color_active
  }), [CV.skeleton_color_active]);
  return /*#__PURE__*/_jsx(Fade, {
    style: style,
    children: children
  });
};
export default /*#__PURE__*/memo(SkeletonActive);
//# sourceMappingURL=skeleton-active.js.map