"use strict";

import React, { useState, useEffect, memo, useCallback } from 'react';
import { callInterceptor } from "../helpers/index.js";
import StopSelector from "./step-selector.js";
import { jsx as _jsx } from "react/jsx-runtime";
function StopSelectorMethod({
  beforeClose,
  onConfirm,
  onCancel,
  ...restProps
}) {
  const [visible, setVisible] = useState(false);
  useEffect(() => {
    setVisible(true);
  }, []);
  const onPressClose = useCallback(() => {
    onCancel?.();
    setVisible(false);
  }, [onCancel]);
  const onRequestClose = useCallback(() => {
    onPressClose();
    return true;
  }, [onPressClose]);
  const onChange = useCallback((v, o, isEnd) => {
    if (isEnd) {
      callInterceptor(beforeClose, {
        args: [v, o, isEnd],
        done: () => {
          onConfirm?.(v, o, isEnd);
          setVisible(false);
        }
      });
    }
  }, [beforeClose, onConfirm]);
  return /*#__PURE__*/_jsx(StopSelector, {
    ...restProps,
    visible: visible,
    onPressClose: onPressClose,
    onChange: onChange,
    onRequestClose: onRequestClose
  });
}
export default /*#__PURE__*/memo(StopSelectorMethod);
//# sourceMappingURL=step-selector-method.js.map