"use strict";

import React, { useMemo, useContext, createContext, memo } from 'react';
import useOriginalDeepCopy from "../hooks/useOriginalDeepCopy.js";
import TOKENS from "./tokens-mix.js";
import { jsx as _jsx } from "react/jsx-runtime";
const ThemeTokensContext = /*#__PURE__*/createContext(TOKENS);
export const useThemeTokens = () => useContext(ThemeTokensContext);
const ThemeProvider = ({
  children,
  theme
}) => {
  const themeCopy = useOriginalDeepCopy(theme);
  const state = useMemo(() => ({
    ...TOKENS,
    ...themeCopy
  }), [themeCopy]);
  return /*#__PURE__*/_jsx(ThemeTokensContext.Provider, {
    value: state,
    children: children
  });
};
export default /*#__PURE__*/memo(ThemeProvider);
//# sourceMappingURL=theme.js.map