"use strict";

import { SuccessOutline } from '@fruits-chain/icons-react-native';
import React from 'react';
import { View, Text, TouchableOpacity, TouchableWithoutFeedback } from 'react-native';
import { varCreator as varCreatorButton } from "../button/style.js";
import CheckboxIcon from "../checkbox/checkbox-icon.js";
import Flex from "../flex/index.js";
import Theme from "../theme/index.js";
import { varCreator, styleCreator } from "./style.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const hitSlop = {
  left: 8,
  right: 8
};
const TreeItem = ({
  theme,
  tier,
  indent,
  switcherIcon,
  switcherHighlight = true,
  activeColor,
  active,
  multiple,
  bold,
  label,
  renderLabel,
  labelHighlight,
  hasChildren,
  onPressSwitcherIcon,
  ...restProps
}) => {
  const [CV, STYLES] = Theme.useStyle({
    varCreator,
    styleCreator,
    theme
  });
  const [CV_BUTTON] = Theme.useStyle({
    varCreator: varCreatorButton
  });
  const leftJSX = /*#__PURE__*/_jsxs(Flex, {
    direction: "row",
    align: "center",
    children: [indent ? /*#__PURE__*/_jsx(View
    // eslint-disable-next-line react-native/no-inline-styles
    , {
      style: {
        width: tier * indent,
        height: CV.tree_item_height
      }
    }) : null, /*#__PURE__*/_jsx(Flex, {
      align: "center",
      justify: "center",
      style: hasChildren && switcherHighlight ? STYLES.tree_item_switcher : undefined,
      children: switcherIcon
    })]
  });
  return /*#__PURE__*/_jsx(TouchableOpacity, {
    ...restProps,
    activeOpacity: restProps.activeOpacity ?? CV_BUTTON.button_active_opacity,
    children: /*#__PURE__*/_jsxs(View, {
      style: STYLES.tree_item,
      children: [hasChildren ? /*#__PURE__*/_jsx(TouchableWithoutFeedback, {
        onPress: onPressSwitcherIcon,
        hitSlop: hitSlop,
        children: leftJSX
      }) : leftJSX, renderLabel ? renderLabel({
        label,
        disabled: restProps.disabled,
        labelHighlight,
        active,
        activeColor
      }) : /*#__PURE__*/_jsx(Text, {
        style: [STYLES.tree_item_text, restProps.disabled && !hasChildren ? STYLES.tree_item_disabled_text : null, bold ?
        // eslint-disable-next-line react-native/no-inline-styles
        {
          fontWeight: 'bold'
        } : null, labelHighlight ? {
          color: activeColor
        } : null],
        numberOfLines: 1,
        children: label
      }), multiple ? /*#__PURE__*/_jsx(CheckboxIcon, {
        active: active,
        activeColor: activeColor,
        disabled: restProps.disabled
      }) : active ? /*#__PURE__*/_jsx(SuccessOutline, {
        color: activeColor
      }) : null]
    })
  });
};
export default TreeItem;
//# sourceMappingURL=tree-item.js.map