import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    badge_size: number;
    badge_color: string;
    badge_padding_vertical: number;
    badge_padding_horizontal: number;
    badge_font_size: number;
    badge_font_weight: 300 | 200 | "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900" | 100 | 400 | 500 | 600 | 700 | 800 | 900 | "ultralight" | "thin" | "light" | "medium" | "regular" | "semibold" | "condensedBold" | "condensed" | "heavy" | "black" | undefined;
    badge_background_color: string;
    badge_count_border_radius: number;
    badge_dot_size: number;
    badge_status_primary: string;
    badge_status_success: string;
    badge_status_warning: string;
    badge_status_error: string;
};
export type BadgeTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: BadgeTheme) => {
    count: {
        minWidth: number;
        borderRadius: number;
        paddingHorizontal: number;
        paddingVertical: number;
    };
    count_text: {
        color: string;
        fontSize: number;
        fontWeight: 300 | 200 | "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900" | 100 | 400 | 500 | 600 | 700 | 800 | 900 | "ultralight" | "thin" | "light" | "medium" | "regular" | "semibold" | "condensedBold" | "condensed" | "heavy" | "black" | undefined;
        textAlign: "center";
        height: number;
        lineHeight: number;
    };
    count_dot: {
        width: number;
        height: number;
        minWidth: number;
    };
    count_fixed: {
        position: "absolute";
        right: number;
        top: number;
        zIndex: number;
        transform: ({
            translateX: number;
            translateY?: undefined;
        } | {
            translateY: number;
            translateX?: undefined;
        })[];
    };
    count_dot_fixed: {
        transform: ({
            translateX: number;
            translateY?: undefined;
        } | {
            translateY: number;
            translateX?: undefined;
        })[];
    };
};
//# sourceMappingURL=style.d.ts.map