import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    button_xl_height: number;
    button_xl_font_size: number;
    button_xl_loading_size: number;
    button_l_height: number;
    button_l_font_size: number;
    button_l_loading_size: number;
    button_m_height: number;
    button_m_font_size: number;
    button_m_loading_size: number;
    button_s_height: number;
    button_s_font_size: number;
    button_s_loading_size: number;
    button_xs_height: number;
    button_xs_font_size: number;
    button_xs_loading_size: number;
    button_xs_padding_horizontal: number;
    button_padding_horizontal: number;
    button_border_width: number;
    button_border_color: string;
    button_border_radius: number;
    button_active_opacity: number;
    button_disabled_opacity: number;
    button_loading_opacity: number;
    button_primary_color: string;
    button_danger_color: string;
    button_ghost_background_color: string;
    button_hazy_lightness: number;
    button_icon_gap: number;
    button_text_color: string;
    button_subtext_line_height: number;
    button_subtext_font_size: number;
    button_subtext_opacity: number;
    button_option_min_width: number;
    button_option_badge_margin_left: number;
    button_option_badge_text_font_size: number;
    button_option_badge_text_color: string;
    button_option_disabled_border_color: string;
    button_option_disabled_text_color: string;
};
export type ButtonTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: ButtonTheme) => {
    button: {
        alignItems: "center";
        justifyContent: "center";
        flexDirection: "row";
        borderStyle: "solid";
        paddingHorizontal: number;
        borderRadius: number;
    };
    button_column: {
        flexDirection: "column";
    };
    button_disabled: {
        opacity: number;
    };
    button_loading: {
        opacity: number;
    };
    button_xs_padding_horizontal: {
        paddingHorizontal: number;
    };
    button_square: {
        borderRadius: number;
    };
    button_round: {
        borderRadius: number;
    };
    text: {
        textAlign: "center";
    };
    option: {
        minWidth: number;
    };
    option_badge: {
        marginLeft: number;
    };
    option_badge_text: {
        fontSize: number;
        color: string;
    };
};
//# sourceMappingURL=style.d.ts.map