import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    card_background_color: string;
    card_padding: number;
    card_header_gap: number;
    card_m_header_height: number;
    card_m_header_text_font_size: number;
    card_m_header_text_line_height: number;
    card_m_border_radius: number;
    card_s_header_height: number;
    card_s_header_text_font_size: number;
    card_s_header_text_line_height: number;
    card_s_border_radius: number;
    card_header_text_color: string;
    card_footer_text_font_size: number;
    card_footer_text_color: string;
    card_footer_text_line_height: number;
    card_footer_padding_vertical: number;
};
export type CardTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: CardTheme) => {
    card: {
        backgroundColor: string;
        overflow: "hidden";
    };
    card_radius_m: {
        borderRadius: number;
    };
    card_radius_s: {
        borderRadius: number;
    };
    header: {
        flexDirection: "row";
        alignItems: "center";
        justifyContent: "space-between";
        paddingHorizontal: number;
        minHeight: number;
    };
    header_s: {
        minHeight: number;
    };
    title: {
        flexDirection: "row";
        alignItems: "center";
        flex: number;
    };
    title_text: {
        fontSize: number;
        lineHeight: number;
        color: string;
        fontWeight: "bold";
        marginRight: number;
        flex: number;
    };
    title_text_s: {
        fontSize: number;
        lineHeight: number;
    };
    title_text_margin_left: {
        marginLeft: number;
    };
    footer: {
        paddingHorizontal: number;
        paddingVertical: number;
    };
    footer_text: {
        fontSize: number;
        color: string;
        lineHeight: number;
    };
};
//# sourceMappingURL=style.d.ts.map