import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    cell_group_title_padding_horizontal: number;
    cell_group_title_padding_top: number;
    cell_group_title_padding_bottom: number;
    cell_group_title_color: string;
    cell_group_title_font_size: number;
    cell_group_title_line_height: number;
    cell_icon_size: number;
    cell_icon_color: string;
    cell_active_color: string;
    cell_font_size: number;
    cell_background_color: string;
    cell_padding_vertical: number;
    cell_padding_horizontal: number;
    cell_mini_height: number;
    cell_title_text_color: string;
    cell_title_height: number;
    cell_title_line_height: number;
    cell_title_line_margin_right: number;
    cell_value_min_width: number;
    cell_value_text_color: string;
    cell_extra_text_color: string;
    cell_extra_text_font_size: number;
    cell_extra_text_line_height: number;
    cell_required_color: string;
    cell_required_width: number;
    cell_icon_link_margin_left: number;
};
export type CellTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: CellTheme) => {
    group_title: {
        paddingHorizontal: number;
        paddingTop: number;
        paddingBottom: number;
        flexDirection: "row";
        justifyContent: "space-between";
        alignItems: "center";
    };
    group_title_text: {
        color: string;
        fontSize: number;
        lineHeight: number;
    };
    cell: {
        backgroundColor: string;
    };
    cell_inner: {
        position: "relative";
        marginHorizontal: number;
        paddingVertical: number;
    };
    cell_inner_row: {
        flexDirection: "row";
    };
    cell_inner_has_extra: {
        paddingBottom: number;
    };
    title: {
        position: "relative";
        flexDirection: "row";
        marginRight: number;
        flexShrink: number;
    };
    title_required: {
        position: "absolute";
        left: number;
        height: number;
        width: number;
        alignItems: "center";
        justifyContent: "center";
    };
    title_required_text: {
        fontSize: number;
        color: string;
    };
    title_text: {
        minHeight: number;
        color: string;
        fontSize: number;
        lineHeight: number;
        paddingVertical: number;
    };
    value: {
        flex: number;
    };
    hasValue: {
        minWidth: number;
    };
    value_text: {
        color: string;
        fontSize: number;
        lineHeight: number;
        paddingVertical: number;
    };
    extra_text: {
        color: string;
        fontSize: number;
        lineHeight: number;
        marginHorizontal: number;
        paddingBottom: number;
    };
    icon_link: {
        alignSelf: "center";
        marginLeft: number;
    };
    content: {
        flexDirection: "row";
        alignItems: "center";
    };
};
//# sourceMappingURL=style.d.ts.map