import type { DatePickerColumnType, DatePickerColumnMode } from './interface';
/**
 * 可选项序列数组
 */
export declare const COLUMN_SERIALIZE_TYPES: DatePickerColumnType[];
export declare const serializeMode: (modes: DatePickerColumnType[]) => DatePickerColumnType[];
export declare const toDateObject: (d: Date) => {
    Y: number;
    M: number;
    D: number;
    h: number;
    m: number;
    s: number;
};
/**
 * 获取某年的某个月有多少天
 * @param year 年
 * @param month 月 1~12
 * @returns 天数
 */
export declare const getMonthDays: (year: number, month: number) => number;
export declare const getDateBoundary: (value: Date, modes: DatePickerColumnType[], { defaultMin, defaultMax, min, max, }: {
    defaultMin: Date;
    defaultMax: Date;
    min?: Date | undefined;
    max?: Date | undefined;
}) => Record<DatePickerColumnType, [number, number]>;
/**
 * 格式化时间
 */
export declare const formatDate: (mode: DatePickerColumnMode, day: Date) => string;
//# sourceMappingURL=helper.d.ts.map