import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    dialog_width: number;
    dialog_transition: number;
    dialog_border_radius: number;
    dialog_background_color: string;
    dialog_close_color: string;
    dialog_close_size: number;
    dialog_header_font_weight: 300 | 200 | "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900" | 100 | 400 | 500 | 600 | 700 | 800 | 900 | "ultralight" | "thin" | "light" | "medium" | "regular" | "semibold" | "condensedBold" | "condensed" | "heavy" | "black" | undefined;
    dialog_header_line_height: number;
    dialog_header_padding_top: number;
    dialog_header_padding_bottom: number;
    dialog_header_font_size: number;
    dialog_header_color: string;
    dialog_message_padding_horizontal: number;
    dialog_message_font_size: number;
    dialog_message_line_height: number;
    dialog_message_text_color: string;
    dialog_footer_margin_top: number;
    dialog_footer_divider_color: string;
    dialog_confirm_button_text_color: string;
    dialog_cancel_button_text_color: string;
    dialog_input_gap: number;
};
export type DialogTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: DialogTheme) => {
    dialog: {
        overflow: "hidden";
        backgroundColor: string;
        borderRadius: number;
    };
    close: {
        position: "absolute";
        right: number;
        top: number;
        zIndex: number;
    };
    title_text: {
        textAlign: "center";
        lineHeight: number;
        fontWeight: 300 | 200 | "normal" | "bold" | "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | "900" | 100 | 400 | 500 | 600 | 700 | 800 | 900 | "ultralight" | "thin" | "light" | "medium" | "regular" | "semibold" | "condensedBold" | "condensed" | "heavy" | "black" | undefined;
        fontSize: number;
        paddingHorizontal: number;
        paddingTop: number;
        paddingBottom: number;
        color: string;
    };
    title_isolated: {
        paddingBottom: number;
    };
    content_isolated: {
        paddingTop: number;
        alignItems: "center";
        justifyContent: "center";
    };
    message_text: {
        paddingHorizontal: number;
        fontSize: number;
        lineHeight: number;
        color: string;
    };
    footer: {
        flexDirection: "row";
        borderTopWidth: number;
        borderColor: string;
        marginTop: number;
    };
    btn: {
        flex: number;
        marginHorizontal: number;
        marginVertical: number;
    };
    btn_text_bold: {
        fontWeight: "bold";
    };
};
//# sourceMappingURL=style.d.ts.map