import type { ErrorInfo } from 'react';
import React, { PureComponent } from 'react';
import type { ErrorBoundaryProps } from './interface';
type ErrorBoundaryState = {
    error: Error | null;
};
/**
 * ErrorBoundary 错误捕获
 * @description 一般用于应用根组件，捕获 React 内产生的问题。
 */
declare class ErrorBoundary extends PureComponent<ErrorBoundaryProps> {
    static getDerivedStateFromError(error: Error): {
        error: Error;
    };
    state: ErrorBoundaryState;
    componentDidCatch(error: Error, info: ErrorInfo): void;
    /**
     * 点击清空错误，重新渲染子组件
     */
    onPressReload: () => void;
    render(): string | number | boolean | Iterable<React.ReactNode> | React.JSX.Element | null | undefined;
}
export default ErrorBoundary;
//# sourceMappingURL=index.d.ts.map