import React from 'react';
import type { TextStyle, StyleProp, TextProps, TouchableWithoutFeedbackProps, ViewProps } from 'react-native';
export * from './z-index';
export { default as easing } from './easing';
export * from './interceptor';
export * from './typeof';
export * from './format/number';
export * from './attach-properties-to-component';
export * from './arrow';
export { default as childrenToArray } from './children/to-array';
/** 获取默认值 */
export declare const getDefaultValue: <T>(value: T, defaultValue: T) => T;
/** 渲染类文字的 JSX */
export declare const renderTextLikeJSX: (node: React.ReactNode, style: StyleProp<TextStyle>, restProps?: Omit<TextProps, 'style'>) => React.JSX.Element | null;
/** 可点击元素的属性字段 */
export declare const touchablePropsFields: (keyof TouchableWithoutFeedbackProps)[];
/**
 * 是一个点击节点
 */
export declare const isTouchableNode: (props: TouchableWithoutFeedbackProps) => boolean;
/**
 * 挑选出点击事件的属性
 */
export declare const pickTouchablePropsField: (props: Partial<ViewProps & TouchableWithoutFeedbackProps>) => Pick<Partial<ViewProps & TouchableWithoutFeedbackProps>, keyof TouchableWithoutFeedbackProps>;
/**
 * 排除点击事件的属性
 */
export declare const omitTouchablePropsField: (props: ViewProps) => Partial<ViewProps>;
//# sourceMappingURL=index.d.ts.map