import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    sidebar_background_color: string;
    sidebar_item_background_color: string;
    sidebar_item_underlay_color: string;
    sidebar_item_padding_vertical: number;
    sidebar_item_padding_horizontal: number;
    sidebar_item_border_radius: number;
    sidebar_item_bar_width: number;
    sidebar_item_bar_height: number;
    sidebar_item_text_line_height: number;
    sidebar_item_text_font_size: number;
    sidebar_item_bar_background_color: string;
    sidebar_item_active_text_color: string;
    sidebar_item_inactive_text_color: string;
    sidebar_item_disabled_inactive_text_color: string;
};
export type SidebarTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: SidebarTheme) => {
    sidebar: {
        flex: number;
    };
    sidebar_active: {
        backgroundColor: string;
    };
    scroll_view_empty: {
        justifyContent: "center";
        alignItems: "center";
        flex: number;
    };
    list: {
        backgroundColor: string;
    };
    item: {
        overflow: "hidden";
        flexDirection: "row";
    };
    item_bar: {
        position: "absolute";
        backgroundColor: string;
        left: number;
        top: "50%";
        marginTop: number;
        width: number;
        height: number;
        borderRadius: number;
    };
    item_prev: {
        borderBottomRightRadius: number;
    };
    item_next: {
        borderTopRightRadius: number;
    };
    item_inactive: {
        backgroundColor: string;
    };
    item_inner: {
        paddingHorizontal: number;
        paddingVertical: number;
    };
    item_text: {
        fontSize: number;
        lineHeight: number;
    };
    item_text_disabled: {
        color: string;
    };
    item_text_active: {
        color: string;
    };
    item_text_inactive: {
        color: string;
    };
};
//# sourceMappingURL=style.d.ts.map