import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    text_input_xl_font_size: number;
    text_input_xl_min_height: number;
    text_input_l_font_size: number;
    text_input_l_min_height: number;
    text_input_m_font_size: number;
    text_input_m_min_height: number;
    text_input_s_font_size: number;
    text_input_s_min_height: number;
    text_input_selection_color: string;
    text_input_placeholder_text_color: string;
    text_input_color: string;
    text_input_disabled_color: string;
    text_input_disabled_background_color: string;
    text_input_border_radio: number;
    text_input_padding_horizontal: number;
    text_input_clearable_size: number;
    text_input_clearable_background_color: string;
    text_input_clearable_color: string;
    text_input_fix_text_color: string;
    text_input_addon_text_color: string;
    text_input_light_accessory_background_color: string;
    text_input_dark_accessory_background_color: string;
    text_input_dark_accessory_padding_horizontal: number;
    text_input_accessory_font_size: number;
    text_input_accessory_height: number;
    text_input_accessory_text_color: string;
    text_input_word_limit_text_font_size: number;
    text_input_word_limit_text_color: string;
};
export type TextInputTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: TextInputTheme, TOKENS: TokensType) => {
    input: {
        flexGrow: number;
        flexShrink: number;
        flexDirection: "row";
    };
    input_border: {
        borderWidth: number;
        borderRadius: number;
        borderColor: string;
    };
    input_disabled: {
        backgroundColor: string;
    };
    text_input: {
        flexGrow: number;
        flexShrink: number;
        paddingHorizontal: number;
        paddingVertical: number;
        margin: number;
        borderWidth: number;
        textAlignVertical: "center";
        color: string;
    };
    text_input_disabled: {
        color: string;
    };
    input_fix_group: {
        flexDirection: "row";
        alignItems: "center";
        paddingHorizontal: number;
    };
    input_fix_text: {
        color: string;
    };
    input_fix_text_pre: {
        marginRight: number;
    };
    input_fix_text_suf: {
        marginLeft: number;
    };
    clearable: {
        alignSelf: "center";
        width: number;
        height: number;
        borderRadius: number;
        backgroundColor: string;
        alignItems: "center";
        justifyContent: "center";
        marginLeft: number;
    };
    addon_group: {
        flexDirection: "row";
        alignItems: "center";
    };
    addon_text: {
        color: string;
    };
    addon_text_before: {
        marginRight: number;
    };
    addon_text_after: {
        marginLeft: number;
    };
    word_limit_text: {
        position: "absolute";
        bottom: number;
        right: number;
        fontSize: number;
        color: string;
    };
    accessory: {
        width: "100%";
        height: number;
        flexDirection: "row";
        justifyContent: "flex-end";
        alignItems: "center";
        borderTopColor: string;
        borderTopWidth: number;
    };
    accessory_text: {
        color: string;
        fontSize: number;
        paddingHorizontal: number;
        lineHeight: number;
        fontWeight: "bold";
    };
};
//# sourceMappingURL=style.d.ts.map