import type { DimensionValue } from 'react-native';
import type { TokensType } from '../theme/interface';
export declare const varCreator: (TOKENS: TokensType) => {
    toast_max_width: DimensionValue;
    toast_background_color: string;
    toast_border_radius: number;
    toast_text_border_radius: number;
    toast_icon_color: string;
    toast_icon_padding: number;
    toast_icon_size: number;
    toast_inner_padding_vertical: number;
    toast_inner_padding_horizontal: number;
    toast_inner_width: number;
    toast_inner_min_height: number;
    toast_font_size: number;
    toast_text_color: string;
    toast_line_height: number;
    toast_text_min_width: number;
    toast_text_padding_vertical: number;
    toast_text_padding_horizontal: number;
    toast_text_margin_top: number;
    toast_position_top_distance: DimensionValue;
    toast_position_bottom_distance: DimensionValue;
};
export type ToastTheme = ReturnType<typeof varCreator>;
export declare const styleCreator: (cv: ToastTheme) => {
    toast: {
        flex: number;
        width: "100%";
        alignItems: "center";
        paddingTop: DimensionValue;
        paddingBottom: DimensionValue;
    };
    inner: {
        backgroundColor: string;
        borderRadius: number;
        paddingHorizontal: number;
        paddingVertical: number;
        maxWidth: DimensionValue;
        minHeight: number;
        width: number;
        justifyContent: "center";
    };
    inner_type_text: {
        borderRadius: number;
        lineHeight: number;
        paddingHorizontal: number;
        paddingVertical: number;
        minWidth: number;
        minHeight: number;
        width: "auto";
    };
    icon: {
        alignItems: "center";
        padding: number;
    };
    text: {
        fontSize: number;
        color: string;
        textAlign: "center";
        marginTop: number;
    };
    text_top_0: {
        marginTop: number;
    };
};
//# sourceMappingURL=style.d.ts.map